Wingraver
         Next Topic

These days many manufactured components require text (part numbers, labels, specifications, Etc.) to be engraved directly into the part. Using outside services to engrave parts has become an expensive proposition. Glass House Software combined the powerful WINDOWS interface with our proven engraving technology to bring this capability in-house, at a remarkably low cost.

Updated 8/28/2012


On Line Calculator

The calculator function works as a twenty two function scientific calculator and is available any time throughout WINGRAVER-PRO 2008 whenever a number must be input. In other words, you do not have to be in the Calculator menu selection to make use of the calculator in any menu choice.

Please Note: All trigonometric functions are in radians.

Sin Sine | Cos Cosine | Tan Tangent
Sec Secant | CSC Cosecant | Cot Cotangent
Asin Arc Sine | Acos Arc Cosine | Atan Arc Tang
Sinh Hyperbolic Sine | Cosh Hyperbolic Cosine | Tanh Hyperbolic Tangent
Sech Hyperbolic Secant | Csch Hyperbolic Cosecant | Coth Hyperbolic
Ln Natural Log | Log Log Base 10 | PI 3.14159
Abs Absolute Value | Sqrt Square Root | Exp Exponential
Fact Factorial | Sqr Square (X*X) |

Rd Constant to convert Radians to Degrees 57.29578

Dr Constant to convert Degrees to radians 0.01745

Ft Constant to convert feet to inches 12.0

% Character to convert results from metric to inch mode

Standard Operator's (in order of precedence):

^ Exponential

* Multiplication

/ Division

+ Addition

- Subtraction

Parentheses ' () ', Square Brackets ' [] ', and Curly Brackets ' {} ' may be used to override the normal order of evaluation.

Examples:

SIN(23DR) | ( sine of 23 degrees )
Sqrt(SQR(3.5)+SQR(2)) | ( Square root of 3.5 squared plus 2 squared )
2 + (23/64) - .875 | ( 2 plus 23/64 minus .875 )
SIN(10+23/60+13/3600DR) | ( Sine of 10 degrees23 minutes and 13 seconds)


Tutorial

Tutorial Sample

STEP 1

Start WINGRAVER-PRO 2008 by pressing the “Start” button, then “Programs”, then “MICROCIMM”, and then “WINGRAVER-PRO 2008”.

STEP 2

First we will import the Artwork. This file (in DXF (Drawing Exchange File) format) could have been generated with virtually any Sketching, drawing or CAD system. The included file “SAMPLE.DXF” was generated using our own POWER-CAD product. Select “Artwork”, then “Import-Artwork” from the menu. You will then be given the standard WINDOWS file open dialog. From the list, select the file named “SAMPLE.DXF”.

DXF Import File Open dialog

DXF Import Options Dialog (Press [OK])

DXF Import Summary Dialog (Press [OK])

Artwork File as imported

STEP 3

For the job that we are working on, we want the center of the arcs (in the middle of the part) to be the origin (0,0) point. Currently the origin (0,0) is located in the lower left hand corner of the Artwork. To move this, select “Artwork-Modify Artwork”. Fill in the dialog as follows:

Be sure to enter the X/Y offset distances, to move the parts origin, and check off the “Optimize Tool Path” command to ensure that the tool path has a minimum number of extra moves (Extra -Z- axis moves).

Sample Artwork, after modification

Note: Alternately, you can select "Artwork", then " Art WorkShop ". The Art-Workshop has more advanced tools for translating and optimizing the artwork.

STEP 4

Next we will enter the sample text. Select “Ingraver-Text” from the menu, and type in the following, select “File-Return” when done. (Note: If there is other text already displayed, first select "Edit-Select-All", then begin typing the sample text.)

Sample Text

STEP 5

Next we need to setup the text parameters. Select “Ingraver-Settings” from the menu. Fill in the settings as follows (Be sure to complete all four pages, and press [OK] when done):

General Page Settings

Font Page Settings

Curves Page Settings

Spacing page Settings

Note: A common question relates to generating "Stick Figure" fonts as opposed to the Truetype "outline" fonts. For information on this, please see Frequently Asked Questions .

STEP 6

Next we need to generate the text path. Select “Ingraver-Generate” from the menu, then press the “Generate” button. Note: Be patient, this can take a while ! Be sure to Un-check the "Convert to Artwork" option. At this time you may want to refit the artwork to the display. Select "View", "Extents".

Generate Text Path Status

Artwork & Text Path’s have been Generated

Notes:

  • If the text did not come out as desired, simply change the "Ingraver Settings", and run the "Ingraver-Generate" command again.
  • If you are using the Demo version of Wingraver, all of the vowels in the above example will be replaced with "-" (hyphen). (Example: WINGRAVER would be W-NGR-V-R)

STEP 7

Next we need to generate the tool path for the Artwork (which includes the text). Select “Tool-Path- Create-Tool Path ” from the menu. For this example we left the default settings pretty much alone, with the exception of the “Cutting Depth” which we used the “-Z- Depth Calculator” for, and the “Create Tool Path For:” box, where we select “Artwork Only”. Press [OK] to start the process. Note: For maximum tool path optimization, use the "Artwork- Art-Workshop " command to optimize the artwork, before generating the tool path.

Creating the Tool Path

Sample with Tool Path

STEP 8

The final step is to generate the actual NC-CODE (or DXF file). Select “Tool-Path-Generate NC-Code” from the menu. Specify the desired output file name (we used “STEVE”).

Next Select a machine name from the “Machine Name” pull down list, and press “Start”. Note: For a DXF file, look for a machine named "DXF File", If not there, or you need to setup other machines not in the list, see Frequently Asked Questions under "How do I setup a Post for My Machine"

The NC-code (or DXF file) will be on your hard drive ready for use at this time.

Other examples:

There are several example files. Try loading them with the “File-Open -Project” command. They will be named “WINGxx.ING” where xx is a number.


Font Carving Tutorial

Font Carving Sample

This tutorial highlight the special steps involved in generating carved text. Seel also Font Carving

Step #1

After defining the text to be engraved ("ABC") and the other general Ingraver settings (Height, font, etc.. (Defaults were all used)). You must be sure to set the "Font Curve Output" option on the Curves Page of the Ingraver Settings dialog must be set to "All Linear Output". If Not, when generating the tool path, an error will be displayed:

Step #2

Click on the [GO] button on the tool bar, then click on the [Generate] button. The text will be generated and displayed.

Generated Text

Step #3

Select the "Tool Path - Create Tool Path" command. Again most all of the defaults were used, and a few settings were changed (See below).

Typical settings for Font Carving

Step #4

Press [OK} and the font carving will begin (Be patient, this takes a while !!)

Font Carving Progress Indicator

When done it will look like this:

Step #5

Its a good idea to carefully verify the tool path. Select "View", then " 3D ". Next select "View", " Simulate ". The simulate control panel will be displayed:

Simulate Control panel

Press the rewind button (First on the left), the start pressing the "Single Step" button Second from the right, or press the <Space Bar> for single stepping through the file. Click on the exit button when done.

If you also own POWERSTATION PRO or PRO+, then this may be a good time to select the "View", "Solid Model" command.

Step #6

Use the "Tool Path", Generate NC-Code command to generate the code, just as you would for any other engraving.


WINGRAVER to POWERSTATION Tutorial

Engraving to be done

Text: WESTERN REGIONALS MASTERS COMPETITION BEST IN THE WEST

1) Start Wingraver PRO 2008

2) Enter in the text (Select "Ingraver-Text")

3) Select "Ingraver-Settings", enter the settings as follows: (Note: We did the mirror image in this step by checking the mirror image box, rather than do it latter)

Notes: While experimenting with different settings, do NOT answer Yes to the "Convert text to artwork" prompt. Say yes only after the results look exactly the way that you want. If this font has troubles being arc fitted "On the "Curves" page, select "All linear output".

4) Press the [Go] icon, and answer "yes" to the conversion when done. The screen should look like this:

5) Select "Artwork-Artworkshop" The screen should look as follows:

6) Select "File-Export-DXF". Name the file something easy to remember (We used "FRED")

7) Exit from the artworkshop, exit from Wingraver and save the Wingraver project file under a descriptive name (This makes it easy to recall the job and make minor changes).

8) Start POWERSTATION

9) Select "File-Import-Import DXF", locate the file created in step 6 (Again ours was called "FRED.DXF"). Press [OK] on the DXF import dialog box.

10) Once imported, the screen should look like this:

11) Draw the three circles, using the "Geometry-Arc-Coordinates" command. The screen should look like this:

12) Select "Machining-Operations Manager". Define the operation (Tool number/size, shape, etc..) (Just as a side note, generally a "V" tipped cutter works best for this type of work). Select the desired operation.

13) Select "Machining-Move-Cut", then "Cut-all". Use the following settings (Except, insert your desired -Z- depth)

14) When asked, select "All entities", and select any line or arc as the starting point. The machining should look like this:

15) Select "Machining-Post (Generate NC-Code)". Select your machine name from the list (If you have not already installed a sample post for your machine, then click on help for instructions as to how). Click on [NC-Code file name], enter a name, and then press the [Go] button.

16) At this point, the file is on your hard drive. It can be copied to a floppy disk, in the POWERSTATION WINDOWS desktop, under the "Utilities" menu. It can be transferred to your machine using DNC. (See Help, DNC Help).


File / Edit Menu

The WINGRAVER-PRO 2008 File / Edit menus contain a selection of standard WINDOWS menus.

File Menu

Project Properties

Print -- Prints the currently displayed image on the selected printer.

Print Setup -- Displays the standard WINDOWS “printer Setup” dialog.

Print Sample Fonts

Most Recently Used List

Exit -- Exits WINGRAVER-PRO 2008 , prompting you to save if any changes have been made.

Edit Menu

Copy / Copy Metafile – These commands copy the display area of WINGRAVER-PRO 2008 to the WINDOWS clipboard. This image can then be “pasted” into many/most other WINDOWS programs. The Metafile version of this command will produce smoother pictures that can easily be scaled, but may not work with all WINDOWS programs.


Ingraver Settings

Ingraver - Settings

This is the main dialog for text engraving. By allowing you to choose categories by “Tabs” placed along the top describing each page, it contains all of the required settings.

It contains four pages of settings:

The General Page

The Font Page

The Curves Page

The Spacing Page

General Page:

Tool Path -- This group box allows you to select the basic path the text is to take. Linear text covers all linear variations (Horizontal, Vertical, at an angle), around an arc, or along a curve. Note: The “curve” for the “along a curve” setting is defined on the “Curves” page.

Justification -- The above example shows the four justification types. The justification is re-calculated for each line in a paragraph. Note: When “Along a Curve” is selected, Left, and Full are the only supported justification types.

Text Coordinates -- This group is where you enter the basic coordinates of the text. The names of the coordinates will change based on the Text path, and justification settings.

Text type

Vertical: This setting rotates each character on it’s “Side” and centers it within the widest character in the line. As the name indicates, this will generally be used with a text angle of 90 degrees to generate text in the vertical direction. Note: when doing vertical text, you may need / want to use the “Reverse Lines” command in the Text editor (described later in this chapter).

Mirror: This setting would typically be used to make letters in a mold, The entire line of text is “flipped” over its centerline, as if being viewed in a mirror.

Font Page

Text Height -- This is the actual height of the text. This number has no affect when “full” justification is selected.

[ ] Specify Text Width -- If this box is checked, then the test with of a capital letter "H" will be automatically scaled to the precise size entered. Note; Due to the nature of fonts, some characters may be wider/narrower then the specified size.

Text Width Factor -- Each character has for a given height, a default width. This number will be used as a scaling factor applied to this default width. In other words a "factor" of 100 (100 percent) will generate whatever the default width is for the character/font. Start with a setting of 100 and adjust it up/down to change the character width. Note: This scaling factor is applied after the precise scaling using the "Specify Text Width" option above. See Adjusting The Text Width Factor

True Type Font Name -- Displays a drop down list, displaying True type fonts installed on your system.

Bold, Italics -- Sets the bold and italics properties for the selected True Type Font.

Font Type -- Select from True-Type or WINGRAVER fonts. The TrueType fonts offer the largest variety of font styles, and are generally a good choice. When a simple "stick" figure font or maximum control over the shape & size of each character is required then WINGRAVER fonts are the best choice. The WINGRAVER fonts can be DE- Compiled into a standard -G- code format, manually adjusted by anyone with -G- code experience, and re-compiled back into a font file. (See below for more information on editing fonts)

Tilt -- Allows the text to be "tilted" giving it and italicized effect. Note: That tilting CANNOT BE USED when the text is generated "AROUND an ARC" or "Along a Curve" and the font is a WINGRAVER type font that contains G02/G03 Arc moves.

Sample Text tilted 20 degrees

Curves Page

Font Curve Output -- True Type fonts are made up of a series of linear segments, and bezier curves. This group determines the type of output generated for these bezier curves. If “All Linear Output” is selected, the curve will be output as a series of small linear moves, if “Fit Tangent Arcs” is selected, WINGRAVER-PRO will analyze the curve and attempt to find a series of smooth blended arcs to approximate the curve. In either case, the “Tolerance” setting changes the relative accuracy of the output path.

Text Along a Curve

Text Along a curve -- This group allows you to specify the properties of the curve along which to place the text. The group will not be active (accessible) unless “Along a curve” is checked on the “General” page.

Curve Fitting Type -- These settings control how the entered points will be used. If “No-Fitting” is selected, then the text is generated along lines that connect the points. If “Cubic Spline” is selected, then the points will be fitted with a smooth curve, and the text placed along this curve. Example: Given the points: 0,0 : 2,2 : 4,1 : 8,0.

Cubic Spline No Fitting

NOTE: When “No-Fitting” is chosen, letters that fall directly on one of the specified points (Like the “D” in the above example), the letter will become distorted. This is because it falls partially on one line segment and partially on another. The solution is to change the character spacing (See below) to force the character to one segment or the other. The “variable spacing” feature is very useful for this.

Number of points / Point entry grid -- The number of points field controls the number of points to be used in defining the curve (maximum 50), and the point entry grid provides a mini “Spreadsheet” for entry of these coordinates. Note: The Built in “calculator” (Chapter Basics) is not available in the point entry grid.

Perpendicular -- When this option is checked, the characters will be projected perpendicular to the defined curve (As in the above “Cubic Spline” example). If the option is not checked, the main vertices of the font will remain vertical. Example:

Spacing Page

The spacing page permits accurate control of all aspects of the character spacing. Basically the spacing falls into two categories: Constant and Variable.

Constant Spacing -- When this option is selected, the three constant spacing fields are enabled, and the Variable Spacing grid is disabled.

Space between letters -- Controls the amount of space to leave after every letter, except those that end a word.

Space Between Words -- Specified the amount of space to leave after each word. New words are considered to begin when the characters: coma, space, period, exclamation point, colon, semi colon, double quote, single quote, and question mark are found.

Space Between Lines -- Specified the amount of space to leave between lines when doing multi line engraving.

Variable Spacing -- When you select this option button, the following message will be displayed: “Update Variable Character Spacing Table” to which you can press “Yes”, or “No”. If “yes” is selected, then the character spacing table is filled with the characters in the text, and the spacing is set to the value defined in the “Space between letters” and the "Height" is set to the current value shown on the Font Page . Please note that this feature is available only for text amounts of 2048 characters or less.(Note: If you make changes to the actual text (the letters you are engraving), you will need to update this table by selecting constant then variable again) The Grid then displays each of the characters, and the space to allow “after” that character and the desired height. Note: The Built in ON-Line calculator is not available in the space entry grid.

Text Effects -- When Variable Spacing is selected, the [Text Effects] Button is available.


Text to Engrave

Text Editing

The central window of WINGRAVER-PRO 2008 text editor is a simple file editor similar to the standard Windows accessory “NOTEPAD”, but with the addition of a few specialty commands.

File, Edit, Search Menus -- These menus / commands are standard WINDOWS (as found in NOTEPAD). For a complete discussion of basic editing features see Chapter 12 of the MICROSOFT WINDOWS User’s Guide, under the heading “NOTEPAD”.

Tools Menu

Check Spelling – Checks the spelling of the text. If an incorrectly spelled word is found, the follow dialog is displayed:

When a misspelled word is found, a list of possible suggestions will be displayed. Select the correct spelling with the mouse, then either double click on the correct spelling, or press the “Replace” button.

ADD Button – Use this button if the word is spelled correctly, but is not in the current dictionary. This command will add the word to your own “User” dictionary.

Skip Once – Skips over the misspelled word.

Skip Always – Skips over all occurrences of the misspelled word.

Suggest – If you have typed in your own word to replace the misspelled word, pressing this button will check it’s spelling.

Close – Terminates the current spell check session.

Time & Date -- Inserts the current date and time at the cursor location

Special Characters – Many fonts contain special characters that are not easily accessible on the keyboard. This command displays a dialog containing a grid showing all available characters in the currently selected font (See Ingraver menu, “Settings”).

Clicking once on the desired character will display it in a magnified view, and pressing “OK” will insert it into the current text at the cursor position.

Note! When looking at the text in the editor, it may not look anything like the character that you selected, don’t worry first run the “Ingraver” - “Generate” command to see the selected character.

Uppercase All – This command converts all text in the editor to uppercase.

Lowercase All – This command converts all text in the editor to Lowercase.

Reverse All – This command will reverse the order of the characters in each of the defined lines of text. This is necessary when doing certain types of vertical and / or mirrored text.

Character Set – This command inserts all of the available characters at the cursor location. The primary use of this command is to test the current font.


Generate Text Path

Generate Text

Convert to Artwork -- If checked, the text is generated, then automatically broken down into artwork consisting of arcs and lines. This artwork may then be further refined using the Artworkshop . Note: Normally you would not want to check this option until you have verified that the generated text looks correct.

Keep Existing Text -- If checked, the existing text is not deleted before the new text is generated. The result will be a combination of both the existing (old) and the new text. This can be handy for mixing text of different size. You MUST use this method to do Font Carving on Mixed text.

Pressing the “Generate” button will start the conversion of the selected true type font into a text path, using the specified parameters. The status box displays this process step by step. NOTE: Be patient, on slower computers some of these steps may take several minutes !


Convert to Artwork

Convert to Artwork

The "Convert to Artwork" command converts the currently generated text outline into artwork entities. This allows for using the "ARTWORK-MODIFY" command to further move, rotate or optimize the tool path. It is also good for jobs where the engraving tool path never changes, so that the engraving path does not need to be regenerated every time that you start WINGRAVER-PRO 2008.

Multiple Text Locations:

This feature can also be used to generate multiple instances of text, located at random positions about the part.

For example suppose that you had to generate the number "ABC" starting at coordinates of 1.5,2.0, and the letters "DGF" starting at coordinates of 5.75,3.0.

1) Enter in the "ABC" text, and set the text starting point to 1.5, and 2.0.

2) Press [Go] to generate the text.

3) Upon verifying that the text in in the proper position, select the "Ingraver" - "Convert to Artwork" command. (BE careful !!, once done , you cannot go back !!!)

4) Enter in the "DEF" text, and set the text starting point to 5.75, and 3.0.

5) Press [Go] to generate the text.

6) Upon verifying that the text in in the proper position, select the "Ingraver" - "Convert to Artwork" command.

7) The above steps may be repeated any number of times for additional text.

8) Now, when generating the tool path, select the "Artwork" option, not the "text" option.


Compile / De-Compile Font

WINGRAVER FONTS

In response to customer requirements for additional font capabilities that the TrueType fonts do not provide, we have developed a new font format called "WINGRAVER" fonts. These fonts are basically a series of stick figure fonts that can be completely customized using simple Fanuc compatible -G- codes.

These commands allow the "WINGRAVER" type font to be fully customized by the editing of simple -G- codes. The De-Compile font command is used to convert a WINGRAVER font file into a simple -G- code formatted file. Example: (taken from the De-compiled "SIMPLEX.GHF", showing the letters "A" and "B")

(A)

T65

G00 X0.5714 Y0.0000

G01 X0.2857 Y1.0000

G01 X0.0000 Y0.0000

G00 X0.1071 Y0.3333

G01 X0.4643 Y0.3333

(B)

T66

G00 X0.0000 Y1.0000

G01 X0.0000 Y0.0000

G00 X0.0000 Y1.0000

G01 X0.3214 Y1.0000

G01 X0.4286 Y0.9524

G01 X0.4643 Y0.9048

G01 X0.5000 Y0.8095

G01 X0.5000 Y0.7143

G01 X0.4643 Y0.6190

G01 X0.4286 Y0.5714

G01 X0.3214 Y0.5238

G00 X0.0000 Y0.5238

G01 X0.3214 Y0.5238

G01 X0.4286 Y0.4762

G01 X0.4643 Y0.4286

G01 X0.5000 Y0.3333

G01 X0.5000 Y0.1905

G01 X0.4643 Y0.0952

G01 X0.4286 Y0.0476

G01 X0.3214 Y0.0000

G01 X0.0000 Y0.0000

Sample De-Compiled WINGRAVER font source file

File Format:

Each character in the file begins with the actual character or it's decimal number enclosed in parenthesis. Decimal numbers begin with the "#" character, example the space character (32 decimal) would be defined as (#32).

The next line contains the letter "T" followed by the decimal number of the character. This line is not required when compiling the font, but will always be output when De-compiling the font.

For the actual shape of the character, the font compiler defines several types of -G- code statements:

MOVE TO: | G00 -- X Y (or "U" & "W" for incremental)
CUT TO: | G01 -- X Y (or "U" & "W" for incremental)
CW TO: | G02 -- X Y I J ("U" & "W" for incremental) I & J are Fanuc style arc centers
CCW TO: | G03 -- X Y I J ("U" & "W" for incremental) I & J are Fanuc style arc centers
CURVE NODE: | G10 -- X Y (or "U" & "W" for incremental)
END CURVE NODE: | G11 -- X Y (or "U" & "W" for incremental)

Font Curves

The "Curve" related codes (G10,G11) deserve some special attention. These codes allow you do define a series of points (nodes) that will be curve fitted for smoothness, and can have the optional "Arc-Fitting" applied to them. These curve fit sections are preferable to standard arc segments (G02/G03) because they allow for more options when creating engraving paths. Curve fit segments may have any text effect applied to them (Along an ARC/Curve, Vertical, Tilted, Mirrored, etc..) where as standard arcs may not be used with Along an Arc/Curve, or Tilted styles.

The following example shows the letter “B” from the previous example converted to use curve fitting instead of straight line segments. Bold Indicates the changes:

(B)

T66

G00 X0.0000 Y1.0000

G01 X0.0000 Y0.0000

G00 X0.0000 Y1.0000

G10 X0.0000 Y1.0000

G10 X0.3214 Y1.0000

G10 X0.4286 Y0.9524

G10 X0.4643 Y0.9048

G10 X0.5000 Y0.8095

G10 X0.5000 Y0.7143

G10 X0.4643 Y0.6190

G10 X0.4286 Y0.5714

G10 X0.3214 Y0.5238

G11 X0.0000 Y0.5238

G10 X0.0000 Y0.5238

G10 X0.3214 Y0.5238

G10 X0.4286 Y0.4762

G10 X0.4643 Y0.4286

G10 X0.5000 Y0.3333

G10 X0.5000 Y0.1905

G10 X0.4643 Y0.0952

G10 X0.4286 Y0.0476

G10 X0.3214 Y0.0000

G11 X0.0000 Y0.0000

G01 X0.0000 Y0.0000

Sample Letter “B” with curve fitting added

Editing Font Files

The WINGRAVER font files once “De-Compiled” can be edited using the built in NC-editor . After editing the font need to be “Compiled” again in order to use it in WINGRAVER-PRO 2008. The Compiled fonts end in a file extension of “.GHF” and the font “source” files end in “.GHS”.

Creating you own Font Files

  • The easiest way would be to start by “De-Compiled” one of the standard fonts. When asked to name your new font, specify something different then the file that you are De-Compiling .
  • Edit the above file using any text editor (The built in NC-Editor works fine)
  • Note: While you can define as many/few characters as you desire, the capital "H" must ALWAYS be defined. It is used to calculate the base height of all other characters.
  • Recompile the font, this new font can now be used over and over again just like the original WINGRAVER Fonts included with the system.


Serial Numbers

Serial Number Dialog Box

This command is used to generate an NC-Program to engrave a sequential series of numbers.

NOTE: Before starting this command, you should first go to the Tool Path - Generate Tool path command and setup the desired depth's, feeds, etc.. After making the desired settings, press the [Cancel] button and start the "Ingraver - Serial Numbers" command.

Settings:

Start / End Number -- These numbers are the first / last serial number that you want to generate. These numbers can be in the range of -2000000000 to 2000000000. Longer serial numbers can be generated simply by adding a prefix or suffix as described below.

Increment -- This is the number to increase the serial number between parts, must be greater than zero.

Width -- This sets the minimum number of digits displayed, example the number 12 with a width of 4 can be displayed as "0012" or " 12" depending on the "Padding" setting.

Padding -- This setting determines if the generated numbers will be padded out to the minimum width (set above) and what type of padding (spaces or zeros).

Update End Number Automatically -- If checked, after pressing [ok] (and after the serial numbers are generated), the starting number will be set to the same value as the end number.

Prefix -- This is a series of characters that will be automatically added to the beginning of the serial number.

Suffix -- This is a series of characters that will be automatically added to the end of the serial number.

NC-Code to Add Between Numbers -- The lines defined in this box, will automatically be inserted in between the NC-Code for each generated serial number.

[ ] Insert Serial Number Comment -- If checked, the current serial number text will be inserted into the NC-Code as a comment at the start of that serial number.

[OK] -- Starts the serial number generation. The text font, height, starting positions Etc.. from the " Ingraver Settings " box will all be used. You will be given the " Generate Tool Path " dialog to set the proper machining parameters. Upon pressing [OK] again, the " generate text path ", and " Generate tool path " dialogs will be displayed repeatedly until all of the serial numbers have been generated.

NOTE: -- Unlike other text / artwork commands, you should NOT use the Generate Tool Path command after using this command. The tool path has already been generated by this command.


Delete All Artwork

Artwork Menu

The Artwork menu is for the importing of free form artwork (not necessarily text) in an HPGL (Hewlett Packard Graphics Language) or DXF (Drawing Exchange File) format, and subsequent generation of a tool path to engrave this art work. DXF and HPGL were chosen, as they are available on virtually 100% of drawing, illustration, and CAD programs.

Delete All Artwork -- Allows you to delete all current artwork.

Scan/Trace/Convert

Import Artwork

Art Workshop

Artwork Modify

Raised / Inset Letters


Import Artwork

Allows you to bring in artwork / logos drawn in other programs for machining.

Allowed File Formats:

Three formats are supported: DXF, HPGL & Mini-CAM

DXF is the industry standard for exchanging drawing between CAD systems.

HPGL -- Is a very simple (and limited) format so translation is generally near 100%. Also even if a program does not directly export HPGL, virtually every WINDOWS program can be made to print to an “HPGL Plotter on FILE”.Many conversion programs are available to convert other formats into the HPGL format. We (Glass House) have used the HIJAAK Graphics Suite (Available at most computer software centers) with a high degree of success. Programs like HiJaak are capable of converting from dozens of different formats into HPGL. Many programs allow scanned (raster) files to be converted to Vector (Like HPGL) files, and common file formats like DXF (Most CAD programs) into HPGL.

Mini-CAM -- This a simple format used by the MINI-CAM module of our Trig-MAN and First-CAM products.

Import Artwork -- Imports a file to be used as Artwork. After specifying the file name using a standard WINDOWS file open dialog, the imported artwork will automatically be fitted to the display screen. The type of file desired can be selected in the "Files of Type" box.

Importing DXF files This file may then be created with most any other CAD/CAM program.

Notes:

  • Entities imported will be Points, Lines, Arcs, Polylines (if spline fitted they will be converted to a series of line segments).
  • Since all Artwork in WINGRAVER-PRO is 2D, certain entities will not be imported these include: Surfaces, 3D Arcs (Arcs not defined in the XY plane), and 3DFACES will be imported as simple 2D lines.
  • Text will be imported. You can control the default settings for text importing by creating first setting all text properties to the desired default, and using the "File-Save As" command to save the file under the name "DXFTXT.ING". This file must be located in the same folder where the wingraver program files reside (The default is "C:\PS)

From the box labeled "List files of type" select "Drawing Exchange Files (*.DXF)", then click on the desired file name. You will then be given a simple dialog box:

Cutting Tolerance – Sets the default tolerance used for interpolating Polylines contained in the DXF file (if any).

Arc-Fit-Splines – If checked then not only will polylines be curve fit to the above specified tolerance, but tangent arcs will be substituted for linear segments where applicable.

While processing the following dialog will appear:

DXF Import Status/Summary Display


Modify Artwork

Artwork Modify

NOTE: This command is only a subset of the features found in the Art Workshop , it was to be removed from this product, but was left in for users of previous versions of WINGRAVER who were already familiar with it.

Modify menu -- This menu allows you change the coordinates, scale, and rotation of the imported Artwork, optionally optimizing the order of the stored segments for a more efficient tool path.

-X/Y- Offset -- Translates the current artwork by the specified values.

-X/Y- Scale -- Scales the current artwork by the specified values. Note: The values cannot be zero, and 1.0 should be entered for no change.

Rotation Angle -- Rotates the artwork the specified number of degrees about the origin (0,0) point.

Optimize Tool Path -- When this box is check, the system will “re-group” the segments of the current artwork in a manner that produces a more efficient tool path. It searches for segments who’s end points meet, and groups them together, if it cannot find an end point that meets exactly, it will find the next closest one.

Notes: On Optimize

Depending on the number of segments in the artwork, it can take several minutes for this to process. One complex job we tested it took over 20 minutes to process on a Pentium 90 computer.

It only needs to be done once. There is no real benefit to doing the optimization more than once.


Raised / Inset Letters

Generating Raised / Inset Letters

WINGRAVER-PRO 2008-PRO contains built in routines for generating tool paths for raised or inset (sunken) in letters. This is accomplished by a simple cross hatching method. While this may not provide an optimum method of machining these types of letters, it does provide a workable method, simply, and at a reasonable cost. Note: As a rule, since the WINGRAVER type fonts are all stick figures, you would always want to use this feature with a Truetype font, not a WINGRAVER font.

Notes:

  • For INSET Letters, the Font Carving will generally be the better option, producing better looking results with a larger more durable tool.
  • This command does not work well with small (less than .375 high), raised lettering, if the results are unacceptable, please use the Art Workshop Cross Hatching
  • This command is for cross hatching text. To cross hatch arbitrary shapes, use the Art Workshop Cross Hatching

Procedure:

  1. Generate the ‘text path” using the normal methods (See the tutorial if you do not know how to do this yet).
  2. If you are doing raised letters (Not inset), then select “View-Ref-Frame” from the menu, and enable the reference frame, and enter in frame coordinates that are at least about 10% larger then the total size (Extents) of the text path. Example: Suppose your text path started at the origin, and that the top right hand corner of the text extents was at X3, and Y1. You would then want to set the reference frame to something like: Starting X-0.25, Starting Y-.25, Width = 3.5, height of 1.5.
  3. Select “Artwork-Raised/Inset Letters”, and the dialog that follows will be displayed.
  4. Just to be safe, the system will warn you if it thinks that the reference frame is not large enough to fully enclose the text path, this is displayed as a warning and you are free to press continue, but just be on the look out for cross hatching path errors.
  5. After generating the cross hatch, you will generally want to use the “Artwork-Modify” command, turning on the “optimize tool path” selection.

Operation – Use this to select the generation of raised letters, or inset (sunken) letters (cleaning out the inside of the letters).

Cutting Angle – This is the cutting (or crosshatch) angle specified in degrees with the 3 O’clock position being 0 degrees. Note that straight horizontal (0 degrees) or vertical (90 degrees) are more error prone than other “in-between” angles. If you experience areas where a cross hatch line should have been generated but was not, try changing the angle by as little as 1 degree.

Space Between Cuts – This is the distance between the cross hatch lines. As a rule this number should be less that the cutter diameter.

Reduce Hatch Lines By – This is the distance that the cross hatch lines will be shortened by on each end. The can in certain cases allow the raised/inset letters to have a thicker appearance.

Cross hatching For Raised Letters

Cross Hatching For Inset Letters


Scan/Trace/Convert

The Scan / Trace utility allows you to use your Twain compatible scanner to scan images, display them on the screen and automatically convert them to lines, or to manually trace over them using the mouse.

Main Topics:

Using the Automatic Raster to Vector Conversion

Using the Manual Scan / Trace Utility

Using the Image Effects

Using the Automatic Raster to Vector Conversion

Step 1

Select the "File-Scan" command, or click on the scanner icon. The exact procedure for operating the scanner will depend entirely on your scanner, please see the documentation that came with you scanner. Note: If you already have the desired file in any common raster file format (BMP, TIF, JPG, GIF, Etc..), just use the "File-Open" command to load it.

Note: The image to be converted need to be as clean as possible, and if possible should a picture that is mainly an outline of what you want to convert, and should not contain large solid areas of dark colors. The Filters & Effects commands edge detection, invert & threshold can be used to cleanup a picture prior to raster to vector conversion.

Step 2

At this point, the scanned results should be displayed:

Sample Scanned Image

Step 3

Select "Convert", then "Raster to Vector" from the menu. The Raster to Vector settings dialog will be displayed.

Raster to Vector Settings Dialog

Step 4

Select "File-Exit". This will return you to the main Wingraver screen and automatically start the DXF file import process. Once done, the results will be displayed. These results will be rough looking and will be at an arbitrary scale.

Step 5

The next step is to use the Artworkshop Deskew & Scale command to straighten and scale the image.

Step 6

The next step is to use the Artworkshop Optimize command to remove unwanted lines, minimize the number of moves, and the length of the tool path.

Step 7

The next step is to generate a tool path , as outlined in the standard Wingraver Tutorial .

Using the Manual Scan / Trace Utility

The Main Scan / Trace Display

For this utility, we believe that going straight to a sample session is the best way to explain it.

Step 1

Select the "File-Scan" command, or click on the scanner icon. The exact procedure for operating the scanner will depend entirely on your scanner, please see the documentation that came with you scanner. Note: If you already have the desired file in any common raster file format (BMP, TIF, JPG, GIF, Etc..), just use the "File-Open" command to load it.

Step 2

At this point, the scanned results should be displayed:

Sample Scanned Image

Step 3

This is the most critical step, we will be setting the origin, scaling, and orientation points. If these are not properly set, the tracing will be distorted and disoriented.

Select from the Draw menu, "Origin", and indicate a point on the image that is to be your zero, zero point.

Next select from the Draw menu, "-X- Axis", and indicate a point (off to the right of the origin point) that lies somewhere on the -X- axis.

Finally from the Draw menu, select "Scale Point". This should be a point on the image that you know (or are willing to estimate) the exact coordinates of. Note: When you exit the Scan / Trace command, you will be asked to enter the coordinates to be associated with this point.

Example Locations for the Origin, -X- Axis, and Scale Points

Step 4

Using the mouse, begin tracing over the desired areas of the image. To do this, move the cursor to where you would line a line to begin, press and hold the left mouse button. While moving the mouse the line will be shown (dragged) on the screen. When the second end of the line is in the desired location, release the left mouse button.

Lines (in red) Traced over the Image

Step 5

Lets assume that one or more of the lines that you draw were in the wrong position. To change or remove these lines, press the button marked [Drawing], this changes to the editing mode. In this mode click the left mouse button on the line in question. At this point you have two basic options: 1) Use the handles (boxes at the ends of the line) to try to move the line to the desired position (this can be difficult), 2) Press the right mouse button and a menu of options will appear, select Delete. (Note: This same menu will contain several other commands, most of these will not function and serve no purpose in WINGRAVER).

Step 6

Select "File-Exit" from the menu. You will be asked for two things: 1) If you want to save the image file, 2) The scaling point's coordinates. For this example, we used an X of 2.5, and a Y of -1.25. At this point the artwork will show up in the main WINGRAVER window. As a rule, you will now want to use the Art Workshop to "touch up" this artwork.

The Traced Artwork

Using the Image Effects

In The Scan/Trace/Convert Utility is a powerful raster image effects capibility. It is used to clean-up and prepare the raster scanned image for conversion to vector (Artwork). See Filters & Effects


Scan to Part Tutorial

The Scan / Trace / Convert utility allows you to use your Twain compatible scanner to scan images, display them on the screen and automatically convert them to lines, or to manually trace over them using the mouse.

Note: The scanner must be installed and working before proceeding.

See also Raster to Vector

Using the Automatic Raster to Vector Conversion

Step 1

Select the "File-Scan" command, or click on the scanner icon. The exact procedure for operating the scanner will depend entirely on your scanner, please see the documentation that came with you scanner. Note: If you already have the desired file in any common raster file format (BMP, TIF, JPG, GIF, Etc..), just use the "File-Open" command to load it.

Step 2

At this point, the scanned results should be displayed:

Step 3

Select "Convert", then "Raster to Vector" from the menu. The Raster to Vector Settings Dialog will be displayed. For this Tutorial, just press the [Default] button, and then the [OK] button.

Step 4

Select "File-Exit". This will return you to the main Wingraver screen and automatically start the DXF file import process. Once done, the results will be displayed. These results will be rough looking and will be at an arbitrary scale.

Step 5

The next step is to use the Artworkshop Deskew & Scale command to straighten and scale the image.

The part is currently about 1000 inches wide, and 800 high.

The Artworkshop has the tools needed to do this job, start it by selecting: "Artwork", "Artworkshop".

To fix this image:

1) Select "Edit-Select - All" (Note: Forget this step and the command will not work !!)

2) Select "Modify-Deskew & Scale"

3) For the "Scaling Option", select "Coordinates of a known point". The point that we know (Shown in the above example) is known to have the coordinates of X1 and Y1.5 (Note: These numbers can be actual known dimensions measured from a physical model, or even approximated for low accuracy work). Enter these values for the known point. Note: The system will use the entered values and the actual values to compute new scales for the X & Y direction. These two scales will then be averaged together and applied to all selected entities.

4) For the Deskew (-X- Axis) Option, select "None"

5) Press [OK]

6) At this time you will first be asked to indicate the origin, place the cursor on the lower left corner of the shape and press the left mouse button.

At this point, the drawing will correctly scaled and oriented. In most cases this will mean that the part is much smaller on the screen. Select "View-Extents" to center and magnify the part.

Step 6

The optimize tool path command allows you to clean up, smooth out, and finally order the select entities. Many of these options were added specifically to deal with artwork which was produced with raster to vector conversion software. Typically this software generates files that consist of hundreds or thousands of small jagged line segments. Proper use of this command can reduce the number of entities by over 50%, and smooth out the jagged areas.

Note: This command, offers a set of powerful tools, but it is hardly fool proof. Each of the optimizations can be turned on/off and many have specific tolerances specified with them. Determining the number of entities to work with at once, and the optimum settings for this command may require trying many combinations, until satisfactory results are obtained. In other words, the use of this command is as much an art as a science. See the Optimization Tutorial

Note: Before using the optimize command you must select the entities to be worked on.

Optimize Settings

Delete Duplicate/Bad Entities -- This option searches for Duplicate entities (Entities with the same coordinates), and bad entities (Example: Zero Length lines, zero or negative radius arcs), and removes them.

Merge Similar Entities -- This option searches for two or more individual line segments that actually form a single line. The multiple segments are replaced by a single line.

End Point Connection Tolerance -- The only option that cannot be turned off is "chaining" or "ordering" the entities to form as continuous tool path as possible. This setting is the distance between the ends of entities to consider them as meeting and thus forming a smooth path.

Force End Point Match -- If checked, once two line end points are found to be within the tolerance specified above, the two line end points are modified to meet precisely (in essence zero tolerance).

Bezier Fit Entities Shorter Than -- If this option is selected, the optimizer will search for two or more line segments (that follow each other) which are shorter then the specified amount. Once at least three points (two lines) are found, they will be deleted, and a bezier curve will be inserted in it's place.

Bezier Fit Tolerance -- Sets the interpolation tolerance for the above option.

Arc Fit Bezier Curves -- If selected, then any inserted Bezier curve will be arc fit (fitting a series of tangent arcs to the curve).

Arc Fit Tolerance -- Set's the tolerance for the above arc fitting.

Optimize Tutorial

Sample Artwork to be optimized

The above artwork was used during the building and testing of the optimize command. This file was generated by a raster to vector conversion program (converting scanned "dots" to lines/arcs). While the results can vary a great deal, this was a typical result, the file consisted of over 850 small lines, and the outline was very jagged and would certainly not make a very attractive engraving. When we are done with it we will have significantly reduced the number of entities, and smoothed out the jagged lines.

Note: We will be including some tactical mistakes, just to show situations that may come up in normal use.

Step 1

The file first needs to be imported. To do this, in main WINGRAVER-PRO 2008 window (NOT the art workshop), select the Artwork, Import Artwork command, and select the sample file named "Deer Head.DXF".

Step 2

Select "Artwork", "Art Workshop" (or press <Ctrl>W) to start the Art Workshop.

Step 3

Select all of the entities by: a) Pressing <Ctrl>A, or b) clicking on the "Select All" icon, or c) Select "Edit", "Select All" from the menu.

Step 4

To determine the starting conditions, select "Tools", "Information" from the menus. You will see that this file consists of over 850 small line segments.

Step 5

Start the Optimize Tool Path command by: a) Clicking on the optimize icon, or b) selecting "Tools", "Tool Path Optimize" from the menu.

Step 6

The Optimize dialog will be displayed at this time, leaving every setting at it's default. Press [OK]. When asked to indicate the approximate start point, we indicated a position near the bottom right of the figure. When the optimizing is complete the results are disappointing. The shape looks no smoother then before and contains only about 4 less lines.

Step 7

Now we run the optimize command again, changing some of these settings: Bezier fit entities shorter than checked ON. Again we run the optimize command with bad results, the artwork is no smoother, and now there appears to be new gaps between the lines. The problem is with the setting. If we use the "Tools", "Information" command we see that the average line length is around 0.010, with this setting at the default of 0.005 this means that hardly any of the lines will be Bezier fit.

Step 8

Again run the optimize command, increasing the "Shorter than" setting to 0.080 . There is no hard fast rule for selecting this size. 0.080 worked well, based on the average line length, the overall size of the artwork, and the number and “tightness” of the curves. This time we start to see more pleasant results:

Looking Better

Upon further examination, we see two things to work on:

1) There is a new line (or lines) drawn between the bottom left of the figure and what appeared to be a small dot near the mouth of the figure.

2) The number of entities is still high (over 600).

Since these results are pretty much useless, we will discard them.

· Exit the Art-Workshop, answering “No” to the save changes prompt.

· Next, reenter the Art-workshop.

Step 9

We will go after both problems in this step:

1) It is generally a good idea to select only a single outline when using the bezier fit option. To do this, we will use the "Edit", "Select Window" command to select the entities that form the small dot (near the mouth) only. Next we will use the "Edit", "Invert Current Selection" command to select the entire outline, but "Unselect" the dots near the mouth.

2) We will use the same bezier fit settings, but turn on the "Arc Fit bezier Curves" option.

Final Results

Now we are looking good, the outline is smooth, we reduced the number of entities from over 600 down to around 150 consisting of mainly arcs, and the extra lines between the head and the dot by the mouth have been removed.

See also Raster to Vector


Raster to Vector

Raster to Vector software is used to convert a bit map file (consisting of perhaps thousands of tiny dots, example WINDOWS Bit Map files, Tiff, Jpeg, and Gif are all raster file formats), into a vector file (Example: DXF or HPGL), consisting of lines and possibly arcs. Glass House Software does not sell nor recommend any particular brand of this software. There prices and capabilities vary greatly, but we will comment that the more expensive products (at least in our very informal testing) do not seem to do a much better job then the lower end products. A few commonly available programs include this capability: Hijjak, Corel Draw, and Turbo-CAD come to mind. Once the file has be converted to a vector format, out Art Workshop utility can do a great job of cleaning up the results.

The process of converting raster (Scanned) images into vectors (machinable lines/arcs) is a complex one that depends on many factors. We have worked with many programs that do this ranging from free to several thousand dollars. While for the most part the very expensive ones have produced better results, the difference between the simpler ones and the more expensive ones is not very much. The raster to vector converter that we include with Wingraver-PRO 2008 is a sample of what is out there, and we believe it to be a low cost shareware version that works quite well when compared to it's high cost alternatives.

Notes on Scanning/Converting:

Many JPG files are not very good candidates for conversion. They contain an large amount of "noise" or gray dots all over it (kind of like the speckled look of an old worn out copy machine). Each of these dot's is an opportunity for the conversion process to fail or create additional/undesired lines.

When scanning an image for conversion you should:

a) Obviously use the cleanest original available

b) Use the best quality scanner at your disposal

c) Set it for "Line art" or black and white scanning (Disable any color/gray scale options).

Clean up the JPG file. Just about any photo editing or paint program can be used to fix up the image before conversion. One we have had luck with is the MICROSOFT office's Photo editor's "Stamp effect" to remove the filled areas, which makes the gray spots more obvious.

The raster to vector converter ( Scan/Trace/Convert ) has many settings that can "adjust" it to work best for a specific type of work.

Other sources

There are many other raster to vector converters out there, and some may be better suited to your needs. One such converter is "WINTOPO" (WWW.WINTOPO.COM). They have an entirely free version from which we have seen some very good results. You can use any of these converters to generate a DXF file. Once generated, this DXF file can be imported into Wingraver-Pro for cleanup, optimization and finally for machining.


Filters and Effects

To set filters or create effects click Tools menu, click Filters and Effects.

On the Filters and Effects window select the name of the effect (the folder) you want to apply to the page.

AutoContrast Edge Detection Mirror Sharp

Bleed Engrave Mosaic Soft

Blur Enhance Motion Blur Spray

Borders Extrude Noisify Tile Maker

Border Fade Gamma Oil Paint Threshold

Bright Gray Area Page Curl Transitions

Color Half Tone Paste Image Warp

Color Palette Hue and Saturation Pinch Hole Wave

Dark Invert Polar WhirlPool

Despeckle Jiggle Rotate

When using the Filters & Effects utility, under WINDOWS Vists, you MUST have the MICROSOFT WINHELP patch for Vista.


Filters and Effects Manager

Hide Selection

Reset Selection

Reload

Preview

Apply

Stop

Close and Save

Close and do not Save

Save Setting on Exit


Art Workshop

The Art Workshop was designed not to eliminate the need for a CAD or drawing type program, but to complement it. It's primary use is for retouching, correcting, and finally optimizing complex artwork.

Art Workshop Main Screen

Art Workshop Menus:

File Menu

Edit Menu

Insert Menu

Draw Menu

Modify Menu

Tools Menu

View Menu

FILE MENU

File - DXF Export -- Outputs the currently selected geometry as a DXF file for importing into other drawing programs. If no entities are currently selected, all entities will be output.

File - Exit -- After prompting you to save or discard the changes to the artwork, returns you to the main WINGRAVER-PRO 2008 screen.

EDIT MENU

Edit - Cut/Copy -- Cuts or Copies the currently selected entities to the clipboard.

Edit - Paste -- Pastes the current clipboard contents into the current drawing. You will be prompted to "Select Origin for Paste". The selected cursor point will be used as an "offset" from the origin of the original entities.

Note: The above clipboard operations will place a text representation of the selected entities into the windows clipboard. While it would be a non visual process, and one would have to have a good understanding of the changes that they wish to make, this information could be pasted into any WINDOWS editor (Notepad, etc..), edited, again copied to the clipboard (Be sure to copy the entire file including the first line !!), and finally pasted back into the Art Workshop.

Edit - Delete -- Deletes the currently selected entities.

Edit - Entity Selection:

In the Art Workshop, entities are always either selected or unselected. Selected entities are indicated by small square "dots" attached to them. To select any single entity, just click on it (with the left mouse button) at any time. To add additional selections to the current selection, just hold the <Shift> key while making the new selection. Entities may also be "Mass selected" using the following commands:

Edit - Select All -- Selects all current entities.

Edit - Select Chain -- Automatically selects all entities who's end points form a continues part or chain of entities. Note: Your must first select the entity to start chaining from before selecting this command.

Edit - Select Window -- Allows you to drag a window around the desired entities, and automatically selects all entities that fall within the window.

Edit - Select All Lines -- Selects all current line entities.

Edit - Select All Arcs -- Selects all current arc entities.

Edit - Invert Current Selection -- Inverts the current selection set. In other words all entities that are currently selected will be come unselected, and all entities that are current Unselected will become selected.

Edit - De-Select All -- Un-Selects all of the current entities

Edit - Properties -- Change the coordinates of a single entity.

INSERT MENU

Insert - DXF Symbol

MODIFY MENU

The Modify Menu is used to make basic mass changes to the artwork, allowing you to Rotate, Translate, Mirror and Scale the artwork.

View Menu

Axis -- Displays the coordinate axis, if visible in the current viewing window.

Default -- Returns the display to its default viewing window (extents of X-10 to X10, Y-10 to Y10), with 0,0 in the middle of the display.

Extents -- Calculates the total drawing extents a fits all entities on to the screen.

Previous -- Returns to the last view prior to a Zoom command.

Redraw -- Simply regenerates all of the information on the display.

Zoom-Out -- This command allows you to walk further away from the part to expose an area that is even larger than the extents of the current artwork.

Zoom -- Allows the selection of two corners of a box that will become the new viewing extents. Procedure:

. Select the Zoom command

. Place the mouse cursor on the lower left hand corner of the zoom “box”

. Hold down the left mouse button, and “drag” the zoom box to the desired size

. Release the left mouse button and the screen will be redrawn.


Art Workshop Edit Properties

The edit properties command allows you to edit the coordinates of a previously selected entity .

Note: If more then one entity is currently selected, this command will be disabled.

Line:

If the selected entity is a line, then the start / end coordinates will be available for editing.

Line Properties

Arc / Circle

If the selected entity is an arc/circle, then the center coordinates, radius and start / end angles will be available for editing. There is also a special check box for setting the arcs direction (CW/CCW).

Arc / Circle Properties


Art Workshop Symbols

The Insert DXF Symbol command allows you to insert DXF files at a specified location, scale and rotation. A typical use of this command would be to draw a series of entities (such as a company logo) using a CAD or drawing program and save them as a DXF file. Using this command, this logo could be inserted into any new engraving jobs that require it.

After selecting the DXF from a standard WINDOWS file open dialog, you will see the DXF Import Dialog:

DXF Symbol files The DXF file may have be created by most any CAD program. Entities imported will be Lines, Arcs, Polylines (if spline fitted they will be converted to a series of line segments). As the as all Artwork in WINGRAVER-PRO 2008 is 2D, certain entities will not be imported these include: Text, 3D Arcs (Arcs not defined in the XY plane), and 3DFACES will be imported as simple 2D lines. From the box labeled "List files of type" select "Drawing Exchange Files (*.DXF)", then click on the desired file name. You will then be given a simple dialog box:

Cutting Tolerance – Sets the default tolerance used for interpolating Polylines contained in the DXF file (if any).

Arc-Fit-Splines – If checked then not only will polylines be curve fit to the above specified tolerance, but tangent arcs will be substituted for linear segments where applicable.

Symbol Placement

The following dialog specified the insertion point, rotation angle, and scale factor to be used when inserting the symbol.

Symbol Placement Dialog


Art Workshop Cross Hatch

This cross hatching command is used to generate lines that will be used to rough out areas of the engraving. It is similar to the Generate Raised / Inset Letters command, except that it works with any artwork , not just lettering

Cross hatching Dialog

Operation of the Cross Hatching Command

1) Select the entities to be hatched. Note these entities must form a closed shape, the outer most shape can have multiple nested islands, but they all must be closed shapes.

2) Select the "Draw- Cross Hatch" command.

3) Enter the parameters:

Cross Hatch Angle -- This is the angle of the generated lines

Cross Hatch Distance -- This is the distance between lines, this amount should be the size of the cutter to be used or smaller.

End Point Tolerance -- When hatching very small or very large shapes, this number may have to be adjusted to eliminate places where the hatching lines "break through" the shape. Note: Breaking through the shape is more commonly caused by the selected geometry not being closed shapes.

Sample of hatching Break Through

End Point Tolerance 0.0001

Same Hatching with the

End Point Tolerance 0.00001

4) Once the hatching is done you will have the option of accepting or discarding the results.

Example: The following is the same hatching as above, except that a box/circle was drawn around the letters, effective making the letters "islands" within the outside shape.

Letters placed with in a box

Letters placed with in a circle


Art Workshop Drawing

This menu provides only very rudimentary drawing commands, which are intended to be used for minor additions and repairs to the geometry. Major changes would need to be done in a full blown CAD program (Like our POWER-CAD), or a drawing program.

Drawing menu commands:

Connect Line

Connect Arc

Mid Point

Offset Line/Arc

Box

Line

Arc

Curve

Connect Curve

Cross Hatch

Note: The Box, Line, and Arc commands will repeat until you click the "Entity Selection Mode" Icon (arrow pointing to the top/left).

Draw - Connect-Line -- Draws a line by connecting the end points of two existing entities. You will be asked to select the two entities to connect. Note that the position where you select the entities will determine which end of the entity the line is connected to.

The original lines were picked at P1 and P2 to create the new line

Draw - Connect-Arc -- Draws an arc by connecting the end points of two existing entities, with a radius that is specified by picking a Mid point on the arc. You will be asked to select the two entities to connect. Note that the position where you select the entities will determine which end of the entity the arc is connected to. Next you will be asked to indicate the mid point.

The original lines were picked at P1 and P2 and a Mid point was specified to create the new arc

Draw - Mid Point -- Draws a point at the mid-point of the selected entity.

Draw - Offset Line/Arc -- Draws a copy of the currently selected entity, offset to pass through the indicated cursor position. Note: You must have one and only one entity selected before selecting this command.

Draw - Box -- Draws a box defined by two cursor points. After starting the command, move the cursor to one corner of the box, press and hold the left mouse button, and drag the box until the second corner is reached. At this point, release the mouse button.

Draw - Line -- Draws a line defined by two cursor points. After starting the command, move the cursor to the start point of the line, press and hold the left mouse button, and drag the line until the second end is reached. At this point, release the mouse button.

Draw - Arc -- Draws an arc defined by it's center point and radius. After starting the command, move the cursor to the center of the desired arc. Next press and hold the left mouse button, and drag the arc until the desired radius is displayed. At this point, release the mouse button. Note: Once drawn, this circle can be changed into an arc by first selecting it with the mouse, then use the Edit - Properties command to change it's start / end angles.

Curve -- Draws a free standing Beizer curve, Enter the points with the mouse using the left mouse button. When done press the right mouse button.

Connect - Curve -- Draws a free standing Beizer curve. The first two entries will be the Start, then end points of the curve. These will be the end points of existing entities (See the connect-Line command above)., Enter the remaining points (Those between the start and end point) with the mouse using the left mouse button. When done press the right mouse button.


Art Workshop Modify Menu

The Modify Menu is used to make basic mass changes to the artwork, allowing you to Rotate, Translate, Mirror and Scale the artwork.

Note: All of the modify commands require that you previously select the entities that you want to modify.

Deskew & Scale

Linearize Arcs

Rotate -- Rotates the selected entities by the specified angle. This rotation will take place about the point defined by the specified X & Y coordinate.

Rotate Dialog

Move -- Moves the selected entities by the specified X & Y coordinates.

Translate Dialog

Mirror -- Mirrors the selected entities about the selected line.

Scale -- Scales the selected entities by the specified amount. This scaling will take place about the point defined by the specified X & Y coordinate.

Scale Dialog

Set all Arcs CCW -- If originally generated as text, or after the Optimize process some arcs are set to be machined in a CW fashion some CCW. Arcs drawn in a standard CAD system are always CCW. This command simply resets all arcs back to this default direction. This command is not needed under normal circumstances, but could prove useful at times when the optimize command is having problems with regard to CW/CCW.


Art Workshop Optimize

The optimize tool path command allows you to clean up, smooth out, and finally order the select entities. Many of these options were added specifically to deal with artwork which was produced with raster to vector conversion software. Typically this software generates files that consist of hundreds or thousands of small jagged line segments. Proper use of this command can reduce the number of entities by over 50%, and and smooth out the jagged areas.

Note: This command, offers a set of powerful tools, but it is hardly fool proof. Each of the optimizations can be turned on/off and many have specific tolerances specified with them. Determining the number of entities to work with at once, and the optimum settings for this command may require trying many combinations, until satisfactory results are obtained. In other words, the use of this command is as much an art as a science. See the Optimization Tutorial

Optimize Tool Path Dialog

Note: Before using the optimize command you must select the entities to be worked on.

Optimize Settings

Delete Duplicate/Bad Entities -- This option searches for Duplicate entities (Entities with the same coordinates), and bad entities (Example: Zero Length lines, zero or negative radius arcs), and removes them.

Merge Similar Entities -- This option searches for two or more individual line segments that actually form a single line. The multiple segments are replaced by a single line.

End Point Connection Tolerance -- The only option that cannot be turned off is "chaining" or "ordering" the entities to form as continuous tool path as possible. This setting is the distance between the ends of entities to consider them as meeting and thus forming a smooth path.

Force End Point Match -- If checked, once two line end points are found to be within the tolerance specified above, the two line end points are modified to meet precisely (in essence zero tolerance).

Bridge End Point Gaps -- If checked, once a break in the path is detected, a line segment will be added to "bridge" the gap between the two ends that do not meet. This is designed to help reduce the amount of -Z- axis moves for a complex shape. These "Bridges" will be automatically to all gaps, UNLESS the bridge line itself is found to intersect any other entity in the drawing. This feature is a good addition/complement to artwork created by the cross hatch command.

Simplify Polygons -- If this option is selected, will reduce the number of lines that make up the selected shape while still holding the specified tolerance. Example:

bezier Fit Entities Shorter Than -- If this option is selected, the optimizer will search for two or more line segments (that follow each other) which are shorter then the specified amount. Once at least three points (two lines) are found, they will be deleted, and a bezier curve will be inserted in it's place.

bezier Fit Tolerance -- Sets the interpolation tolerance for the above option.

Arc Fit bezier Curves -- If selected, then any inserted bezier curve will be arc fit (fitting a series of tangent arcs to the curve).

Arc Fit Tolerance -- Set's the tolerance for the above arc fitting.

Optimize Tutorial

Sample Artwork to be optimized

The above artwork was used during the building and testing of the optimize command. This file was generated by a raster to vector conversion program (converting scanned "dots" to lines/arcs). While the results can vary a great deal, this was a typical result, the file consisted of over 850 small lines, and the outline was very jagged and would certainly not make a very attractive engraving. When we are done with it we will have significantly reduced the number of entities, and smoothed out the jagged lines.

Note: We will be including some tactical mistakes, just to show situations that may come up in normal use.

Step 1

The file first needs to be imported. To do this, in main WINGRAVER-PRO 2008 window (NOT the art workshop), select the Artwork, Import Artwork command , and select the sample file named "Deer Head.DXF".

Step 2

Select "Artwork", "Art Workshop" (or press <Ctrl>W) to start the Art Workshop.

Step 3

Select all of the entities by: a) Pressing <Ctrl>A, or b) clicking on the "Select All" icon, or c) Select "Edit", "Select All" from the menu.

Step 4

To determine the starting conditions, select "Tools", "Information" from the menus. You will see that this file consists of over 850 small line segments.

Step 5

Start the Optimize Tool Path command by: a) Clicking on the optimize icon, or b) selecting "Tools", "Tool Path Optimize" from the menu.

Step 6

The Optimize dialog will be displayed at this time, leaving every setting at it's default. Press [OK]. When asked to indicate the approximate start point, we indicated a position near the bottom right of the figure. When the optimizing is complete the results are disappointing. The shape looks no smoother then before and contains only about 4 less lines.

Step 7

Now we run the optimize command again, changing some of these settings: bezier fit entities shorter than checked ON. Again we run the optimize command with bad results, the artwork is no smoother, and now there appears to be new gaps between the lines. The problem is with the setting. If we use the "Tools", "Information" command we see that the average line length is around 0.010, with this setting at the default of 0.005 this means that hardly any of the lines will be bezier fit.

Step 8

Again run the optimize command, increasing the "Shorter than" setting to 0.080 . There is no hard fast rule for selecting this size. 0.080 worked well, based on the average line length, the overall size of the artwork, and the number and “tightness” of the curves.

This time we start to see more pleasant results:

Looking Better

Upon further examination, we see two things to work on:

1) There is a new line (or lines) drawn between the bottom left of the figure and what appeared to be a small dot near the mouth of the figure.

2) The number of entities is still high (over 640).

Since these results are pretty much useless, we will discard them.

Exit the Art-Workshop, answering “No” to the save changes prompt.

Next, reenter the Art-workshop.

Step 9

We will go after both problems in this step:

1) It is generally a good idea to select only a single outline when using the bezier fit option. To do this, we will use the "Edit", "Select Window" command to select the entities that form the small dot (near the mouth) only. Next we will use the "Edit", "Invert Current Selection" command to select the entire outline, but "Unselect" the dots near the mouth.

2) We will use the same bezier fit settings, but turn on the "Arc Fit bezier Curves" option.

Final Results

Now we are looking good, the outline is smooth, we reduced the number of entities from over 600 down to around 150 consisting of mainly arcs, and the extra lines between the head and the dot by the mouth have been removed.


Art Workshop Tools Menu

Optimize -- Cleans up, orders, filters and smooths out your artwork for better tool path generation.

Information -- Displays detailed information on the current artwork.

Sample Information Display


Generate Tool Path

Tool Path Generator

This dialog controls the generation of a tool path for the generated text path, and / or the imported artwork.

Fields:

-Z- Depth Calculator

-Z- Cutting depth -- This is the depth that all engraving will be performed at. The “-Z- Depth Calculator” can assist you in calculating this number.

Multiple -Z- Depths -- If checked, WINGRAVER will generate multiple -Z- depths to -Z- level rough the engraving. If not checked, the following two fields will be disabled. Note: Use of this command with the Font Carving command is not the same as for other engraving types. For Font Carving , in the -Z- Per Pass field enter in the amount of stock to remove per pass. In the -Z- cutting depth field, enter in the -Z- Per Pass amount multiplied by the desired number of passes. Example for three passes, 0.05 deep each, enter in a "-Z- Per Pass" of 0.05, and a "-Z- Cutting Depth" of 0.150. Note that this is not necessarily how deep the tool will go, that is determined by the necessary width of cut.

-Z- Per Pass -- This is the amount that the tool will cut, per pass until the "-Z- Cutting depth" is reached.

-Z- Top of Part -- This the absolute -Z- location of the top of the material. The first -Z- depth per pass will be subtracted from this level to form the depth of the first pass.

Create Tool Path for -- This fields allows you to select just what to generate the tool path for. Options are "Text Only", "Artwork Only", "Text then Artwork", "Artwork then Text". Note: Upon entering this dialog, the system will take a look at what you have available (artwork and/or text), and will automatically select an appropriate default. Also available 3D Bitmap Scan .

[ ] Carve Text in 3D -- Turns on Font Carving for text. See the Font Carving Tutorial for instructions.

-Z- Clearance plane -- The is the plane in -Z- where all rapid moves will be made.

Cut Feedrate -- This is the feed rate number that will be used when engraving.

Plunge Feed Rate -- this is the feedrate that the tool will use when feeding down in the -Z- axis.

Tool Shape -- Select from three common tool shapes :

Flat -- Ordinary flat bottomed end mill. Specified by entering the Tool Diameter.

Ball -- Specifies a Ball Nose, or Bull Nose shaped tool. This type of tool is generally preferred when projecting the tool on a 3D surface , Specified by entering the Tool Diameter, and the tool's corner radius. Note: For a Ball end mill, set the Corner Radius to exactly half the tool diameter.

Cone -- End mill that comes to a tapered point. This is the most useful tool shape for all around engraving, and the only tool shape supported by the Font Carving feature. Specified by entering the Tool Diameter, and the tool's included tip angle (Example: Common Center drills are 60 Deg, common twist drills are 118 deg)

The Tool Shape information will be used to show an exact image of the tool in the Simulate Tool Path command and as the basis for calculations in Font Carving and Project on a Surface .

Rotary Cutting Radius - Used only if the NC-Code generator has been setup for generation or rotary codes instead of normal X/Y interpolation.

-Z- Axis Position

Constant -Z- -- If this is checked, then the standard and professional versions work in an identical manner, where you manually enter a depth where all letters will be machined at, or use the -Z- depth calculator to assist in finding the proper depth.

Project On Surface -- Allows the cutting to take place on a 3D surface (Plane, Sphere, Cylinder, Cone)


3D Bitmap Scan

The 3D Bitmap scan tool generates a tool path over a bitmap (Picture), using the color intensity of each pixel in the bitmap to determine the proper -Z- Depth relative to the maximum (-Z- Cutting) depth specified in the Generate Tool Path command.

Note: All calculations are the actual coordinates on the picture, no tool compensation will be added. In other words, all 3D Bitmap machining assumes a sharp tool.

1) In the Generate Tool Path dialog, select the "3D Bitmap Scan" option under the "create Tool Path For:" List.

2) The 3D Bitmap Scanner dialog will be displayed.. Press [Load Bitmap] to load the desired file. Note: This file should contain only the image or part of an image that you wish to machine. Use any standard bitmap editing software to do this (Paint, and photo editing type programs are best) .(the scan/trace command has many tools that can help).

3) The bitmap has been loaded, fill in the desired machined width/height, and the tolerance to apply in each direction.

Sample Bitmap machining


NC-Code Generator

The NC Code Generator is the tool that takes the tool path (generated by the “ Generate tool Path ” command), and converts it into NC -G- codes to drive your machine tool. Note: In other types of CAM software, this may be called the "POST PROCESSOR".

First you will be asked to enter a Tape file name. Unless otherwise specified, the file will be stored in the directory specified in the “ Setup-Preferences ” dialog, and the file will have an extension of “.TAP”. Example: if you enter “MYJOB” as the file name, it will automatically be stored as “MYJOB.TAP”, if you would like to use another directory or file extension, then just type it in. Example: “\MYDIR\MYJOB.NC”. Note: If the file specified already exists you will be prompted as to weather you want to delete it or not.

Select the Machine Name form the pull down list. (If your machine has not been defined yet, see Setup NC-Code Setup for how to set one up).

If the selected machine has any NC-Code Macros defined (They are defined in the NC-Editor ), you can select the startup/shutdown macros from the drop down list. Note: Wingraver will store the names of the last selected macros, even if these macros do not exist in the currently selected machine. In other words, when you select a new machine you will have to select new macro names (Unless you always use the same names for startup and shutdown (which would be a very good idea !!))

If the selected machine had the “Use Linear Moves for Arcs” button checked, then the “Arc Cutting Tolerance” and "Smallest Arc Radius" fields will be enabled, where you can control the number of linear moves used to approximate an arc, and the smallest arc radius that should be interpolated (arcs smaller then this number will be replaced by a straight line).

Finally pressing [Start] will start generating the code.


NC-Editor

The central window of Editor is a simple file editor similar to the standard Windows accessories “NOTEPAD” or "WORDPAD". It also has a tool bar for easy access to common commands, and a few specialty NC-Related commands commands.

For a complete discussion of basic editing features consult the WINDOWS on-line help, under the topic “NOTEPAD”, or "WORDPAD".

TOOL BAR

The tool bar buttons are used a “short cuts” for accessing there equivalent menu commands. To find out what a specific button does, simply place the cursor over it, and wait approximately 2 seconds. A “hint” will popup for that button.

Editor: File Menu

Editor: Edit Menu

Editor: Search Menu

Editor: Insert Menu


Editor: File Menu

New -- Starts a new file by opening a new editing window.

Open -- Opens a file that already exists on disk (hard drive, floppy, or network drive). You will be presented with the standard WINDOWS “File Open” dialog, displaying the files (if any) contained in the directory that was specified as the “load/save” directory for the current machine defined in the machine setup.

Save -- Saves the current editing window to a disk file. If the file has already been named, no messages will be displayed while store the file is stored. If the file has not been named, this command switches to the “Save As” command. (see below).

Save As -- Basically the same as the “Save” command, except that you will presented with a standard WINDOWS “Save As” dialog box where you can specify the exact file name and directory where the file is to go.

Print -- Prints the current editing window.

Print Setup -- Displays the standard WINDOWS printer selection dialog where you can select the desired printer, and set any of it’s special properties.

Exit -- Exit’s the editor, prompting you to save any UN-saved files.


Editor: Edit Menu

Undo -- The editor maintains a buffer to allow you to undo changes that you make. Most commands are obvious, if you delete a line, or change it’s contents, “Undo” will restore the line to it’s previous contents.

Cut – Removes the selected lines from the active file and places them in the clipboard.

Copy – Copies the selected lines from the active file and places them in the clipboard.

Paste – Paste’s the clipboard contents at the current cursor location

Delete – Removes the selected lines from the active file and discards them.

Select All -- Selects all of the text in the current editing window. Equivalent to starting at the very top of the file, and dragging the mouse until the end of the text is reached.

Re-Sequence Block Numbers


Editor: Search Menu

Note: Both the Find and Replace commands work in the following manner: If one or more characters is highlighted, then they work from the beginning of the highlight to the end of the file, if nothing is highlighted, then they work from the top of the file, forward.

Find Command

Searches the current file for the specified text. Options are:

Match whole word only – If checked, looks for an exact match to the entered text, if not, the entered text can be a sub part of a longer text.

Match Case – If checked, the text must match case (upper/lower) precisely for it to be found.

Replace Command

Searches the current file for the specified text and replaces it with the desired text. Options are:

Match whole word only – If checked, looks for an exact match to the entered text, if not, the entered text can be a sub part of a longer text.

Match Case – If checked, the text must match case (upper/lower) precisely for it to be found.

Find-Next – Searches for the next occurrence of the “Find” text.

Replace – Replaces the currently highlighted text.

Replace-All – Replaces every occurrence of the “Find” text with the “Replace” text.

Find Next <F3> -- Repeats the last specified “Find” text.


Editor: Insert Menu

Insert Time & Date -- Inserts the current date and time at the current cursor position.

NC-Code Macro -- Add startup, shutdown and any other series of standard NC-Code blocks.


View Menu

The View Menu contains a series of commands to assist in proper visual verification of the Text, Artwork, and Tool Paths. Note that the colors used for displaying the tool path and other settings such as the display of the coordinate axis and tool can all be changed in the Setup Menu .

3D -- This command toggles the display mode between 3D mode (Shown above),and 2D (plain view) as shown below.

Setup 3D View -- Allows for changing the 3D viewing angles.

Extents -- Calculates the total drawing extents a fits all paths on to the screen.

Previous -- Returns to the last view prior to a Zoom command.

Reference-Frame -- This dialog box describes the size and location of a reference frame.

Refresh -- Simply regenerates all of the information on the display.

Slow Refresh -- Regenerates all of the information on the display more slowly the the above command. This can sometimes help to get a sense of the direction that the tool path is taking.

Zoom -- Allows the selection of two corners of a box that will become the new viewing extents. Procedure:

. Select the Zoom command

. Place the mouse cursor on the lower left hand corner of the zoom “box”

. Hold down the left mouse button, and “drag” the zoom box to the desired size

. Release the left mouse button and the screen will be redrawn.

Zoom-Out – This command allows you to walk further away from the part to expose an area that is even larger than the extents of the engraving and tool paths.

Simulate -- Allows Block by Block detailed viewing of the tool and tool path.

Solid Model -- Uses the Solidify option to display a solid model of the machined part. Available only when used in conjunction with our POWERSTATION PRO or PRO+ products.

Popup View Menu

When the cursor is in the main display area, pressing the right mouse button will being up a small “pop-up” menu, containing four of the primary viewing commands.


Setup Preferences

Setup Menu

Setup NC-Code Setup -- Used to define the NC-Code format required for your machines.

Setup - Preferences

Directories Page

This pages sets the default drive and directory where NC-Tape files will be stored.

Colors Page

This page allows you to define different colors for the various displayed path’s.

Using the mouse, select a color from the color “grid”, then click on the bar of the path’s color to change.

Display Page

Display Tool Path -- When turned off, the Text & Artwork paths will be displayed, but the generated tool path will not.

Show Tool Width -- Determines if the entire tool width will be displayed, or just a standard thin line (2D View only).

Show Tool Image -- Determines if the entire tool will be displayed, or just the centerline of the tool path..

Show Rapid Moves -- If checked, rapid moves will be displayed as dashed lines.

Display Axis -- If checked, the coordinate axis will be shown.

Display Ruler -- If checked, a tick marked ruler will be drawn through the origin.

Black Background -- If checked, the background color of the main WINGRAVER-PRO 2008 screen, and the Art Workshop will be black. If not checked, the background will be white.

Printer Page

Print 1=1 Scale – When this setting is turned on, the printer will, instead of fitting the displayed information on the printer at an unknown scale, the minimum extents of the display (what is in the lower left hand corner) will be used as the starting position, and the remainder will be drawn at direct 1=1 scale. If your part is physically larger than the printer paper, then just zoom in on any area not printer, and use the “print” command again.

Allow Color Printing -- Generally if you have a color printer you will want to leave this checked. Certain Black & white printers will try to emulate colors with shades of gray. This may provide undesirable results, in this case this setting should be turned off. One notable case of this is WINFAX, if this box is turned on, many colors will not show up at all.

Printer line Width -- Determines the line width (weight) to be used on the printer. Many 9 pin printers require a setting of at least 2 to generate visible lines. Note: The rapid moves (Drawn as dashed lines) will be drawn as solid lines for any setting greater than 1.

Defaults Page

Surface Projection Tolerance -- Used in the Generate Tool Path command when projection on a surface is called for.

Default NC File Extension -- Sets the default file extension for NC-Files. Note: The extension can be no more than 3 characters long, and do NOT include the period ".".


NC CODE SETUP

NC-CODE SETUP

This menu selection displays the NC-Code setup dialog. It is in this dialog where the code format for your various machines can be defined. Note: Lathe related selections are not applicable to this product (WINGRAVER-PRO 2008).

Format Page

Machine Name -- Name of the machine that you are setting up for. Machine names should be limited to about 12 characters.

Machine Type -- WINGRAVER-PRO 2008 defines four types of machines, of which two are actually file formats rather than actual machine types. Mill and Lathe are self explanatory. DXF file is used to generate an industry standard DXF file oriented for a mill or a lathe. Print File is a special file nicely formatted for printing, primarily intended for use on manual machines or in cases where printed results are all that is necessary.

Coordinate Mode -- For Mill’s and Lathe’s, selects incremental (G91) or Absolute (G90) output. If a “DXF-File” machine is selected, this settings changes to allow the DXF file to be oriented for a lathe or a mill.

Format -- Examples of the format settings are:

For an X value = 2.375

Decimal | X2.375
Leading Zeros | X02375
Trailing Zeros | X23750
Leading & Trailing | X023750

Digits Left / Right -- Determines the number of displayed digits to the left or right of the decimal point. In the case of leading / trailing zeros, this would represent left / right of an imaginary decimal point.

Lathe -X- Format -- Determines the multiplier used on -X- values for a lathe. For turning a diameter of 2.0 inches, select the proper -X- output for your machine.

-G- Codes Page

Arc Center Type -- Determines the type of blocks generated for circular interpolation. Examples:

Distance from Tool to Arc Center | G02 X.5 Y3.25 I.75 J0
Distance from Arc Center to Tool | G02 X.5 Y3.25 I-.75 J0
Unsigned Incremental Distance | G02 X.5 Y3.25 I.75 J0
Absolute Arc Center Coordinates | G02 X.5 Y3.25 I.5 J2.5
Radius of Arc “R’ Values | G02 X.5 Y3.25 R.75

Rapid, Linear, Clockwise, Counter Clockwise Codes -- These text box’s allow you to enter the string of characters (usually a -G- code) to set the appropriate mode.

Sequence Numbers -- Allows you to specify if sequence numbers are to be output, and if so the starting sequence number. The increment between sequence numbers will be the same as the starting sequence number.

Feed Format Page

Feedrate Format / Digits Left/Right-- This setting adjusts the format and number of digits to be output to the left/right of the decimal point.

Rotary Cutting Page

Rotary Axis Format tab

Cutting Method – There are three possible settings: 1) Normal X/Y – Select this for a normal X/Y/Z milling, 2) Rotary - On Face used primarily for engraving letters on the face of a part in a 3 axis lathe, 3) Rotary On Diameter – Used to generate tool paths around the periphery of a cylindrical part.

Rotary Axis Register – Defines the letter address to be used for rotary axis positioning.

Linear Axis Register – Defines the letter address to be used for linear axis cutting.

Cut Depth Axis Register – Defines the letter address used to specify the depth of cut into the work piece.

Example: On a typical rotary axis setup where the part (a cylinder) is mounted parallel to the -X- axis, the “Rotary axis” would = “A”, the linear would be “X”, and the cutting depth would be “Z”.

Rotary Digits Right – Defines the precision of the generated number in the rotary axis.

Codes to Enter/Leave Rotary - Defines any special code or codes that are required in the NC-Code to start/stop the rotary cutting mode.

Register Output Order – Defines the order in which the defined registers (rotary, linear, and depth) are output. The default of "XYZABC" should be fine for most mills/lathes. Note: If you do not list a one or more of the registers defined above, they will not be output to the NC-Code file.

Cut in rectangular coordinates - If checked, then the coordinates generated will be normal rectangular coordinates, as if you were not using a rotary axis at all. (Many modern controls support this mode to simplify manual programming). Unchecked, the output of the rotary axis will be in degrees.

Feed in Degrees Per Minute - If checked, then any blocks containing a rotary axis move, will contain a feed rate specified in degrees per minute. If not checked, then normal feed for the selected machine will be output.

-Z- Axis tab

Machine Has Programmable -Z- – If checked, then normal X/Y/Z coordinates will be generated for all tool motion. If not checked, then the codes that follow will be inserted to move the spindle up/down prior to any desired X/Y axis motion. This is intended for machines with manual / fixed -Z- positions.

Codes For Spindle -UP- – Defines the Code(s) that will be inserted into the NC-Code when a spindle retraction is called for. Note: The code(s) will be inserted exactly as specified. Typical setting might be "M 00" alone or perhaps in conjunction with a message Ex: M 00 "(Raise Spindle)"

Codes For Spindle -DOWN- – Defines the Code(s) that will be inserted into the NC-Code when the spindle needs to cut down into the work. Note: The code(s) will be inserted exactly as specified. Typical setting might be "M 00" alone or perhaps in conjunction with a message Ex: M 00 "(Lower Spindle)"


Errors

See Also: Windows Errors

Error Message | Comments
Application Error Error reading console1.font.color Tconsole: System is not Fixed Pitch | WINGRAVER-PRO 2008 requires that the standard WINDOWS font "Courier New" be installed on your system. This font may have been accidentally deleted, or perhaps never installed. We recommend a reinstall from your original WINDOWS disk. Also, the "Control Panel", "Fonts" icon can be used to install / check for fonts.
Art File has not been Imported / Created Yet | The Artwork needs to be imported (Using the “Artwork-HPGL-Import command) before the tool path for the Artwork can be generated.
Bad Text Start/End Points | When using “Full Justification” the text start / end points cannot be the same.
C/L File access error | WINGRAVER-PRO 2008 is having trouble working with the file “WINGRAVE.CL”. Using file manager, check to see if the file’s attributes are not marked as “read only”, or “system”.
Cannot Process ArtWork, No ArtWork has been Defined | The Artwork needs to be imported (Using the “Artwork-HPGL-Import command) before the Artwork can be Modified.
Cannot Process Text, Text path Not Generated Yet | The Text path needs to be generated (Using the “Ingraver-Generate” command) before the tool path for the text can be generated.
Character Buffer Size Mismatch | This an internal error, please call our service line.
Division By Zero | 99 out of 100 times, this will be caused by a bad font or engraving setting. Please see About Fonts for more informaiton.
Do you really want to overwrite (FName) ? | When specifying all types of output files, you will be asked to confirm all overwrites.
Error In Expression Expression >> + 2 Error Message | In a “Calculated Field” (See chapter 3), an illegal expression has been entered. The second line of this message will display the expression that you input, with a double arrow “>>“ pointing to the location of the error. Possible errors are: Illegal character Incorrect syntax Illegal or missing parentheses Incorrect real format Illegal function Result is undefined Result is too large Result is complex Division by zero

File “name” has been modified. Save file? or File Has Been Modified, Save ? | If any of the parameters that effect Artwork/Text generation have been changed, you will be asked this before leaving or starting/opening a new file.
File Creation error File Open error | WINDOWS/DOS could not create the file that you specified. Check for a bad file name (See chapter 3)
HPGL Printer not yet selected | You need to define the printer driver to be used for HPGL export. Do this using the “Setup-Preferences” dialog.
Integer/Real String Conversion Error | Can occur for the same reasons as “Error in expression” above, but generally should not happen. If so, please contact our service line.
NC File creation error [+ncname+] | WINDOWS/DOS could not create the file that you specified. Check for a bad file name (See chapter 3)
No text specified | Not to state the obvious, but you do need to define some text before you can generate a path for it !!
Not a Valid WINGRAVER File | The file selected in the “File-Open Project” menu, is not a valid previously saved WINGRAVER project file.
Number of Points Must be Between 3 and (Splinesize) | When generating text along a curve, the number of points used to define the curve must be between 3 and “Splinesize”. Note: Currently, Splinesize = 50
Please Select Generation of ArtWork and/or Text | In the “Tool-Path-Generate Tool Path” command, you need to select “generate tool path for” “Text” and / or “Artwork”.
Printing aborted | The <Esc> key was pressed during printing.
Same Point Given Twice in Curve To Follow | When defining the points of a curve that the text is to follow, no two points (in a row) may be the same.
Text Amount Too Large for Variable Spacing | The “Variable” spacing feature is limited to text of no greater than 2048 characters.
Text is Longer than the Curve to Follow | When doing “Text along a curve” the length of the line of text is greater that the length of the defined curve. 1) Use “full Justification”, 2) Reduce the text height, 3) Add more points to “extend” the curve.

Text On Arc Radius = 0 | When generating text around an arc, the arc’s radius must be greater than zero. This can also happen if multi line text is entered, and the “starting” radius - (Space between lines*current line number) is less than zero. Solution: Increase starting radius / reduce the space between lines.
Tool Tip Angle Cannot be Zero | When using the “Tool Path Depth Calculator” , the specified included angle of the tool must be greater than zero. Use 180 for a flat (but then you really do not need the calculator, do you).
Warning, You are About to generate a DXF file using a Machine Name that is NOT Setup to Generate DXF Format. Are you Sure ? | In order to generate a DXF formatted file, you must first specify a file extension of ".DXF", and select a Machine Name that has been setup to Generate DXF files .
X / Y Scale May Not be Zero | In the “Artwork-Modify” command, neither the X or Y scale factor may be zero. If the intent is to leave the part alone in an axis, then set the scale to 1.0.


Technical Information

System Capacities:

Feature | Limitation
Text to Engrave | Approximately 30k (30720 Characters)
Number of lines in the text to Engrave | Limited by WINDOWS editing, depends on line length Vs. The above 30k limit.
Number of arcs / lines in the generated text | Available Disk space
Number Artwork Entities | Available Disk space
Length of Generated NC program | Available Disk Space
Font Types Supported | True-Type / Special WINGRAVER format

WINGRAVER-PRO 2008 is written using Delphi 5.0, by Borland International. This program has been fully tested for, and approved for use under WINDOWS XP/Vista.


About Fonts

The Good, The Bad, and the Ugly

In developing WINGRAVER-PRO 2008, we tested this product with dozens of fonts from many different sources. These fonts ranged from the standard ones provided with WINDOWS, to “full” price commercial fonts, to “shareware” available for a few dollars each, to “freeware”.

What we found is that the characteristics and quality of these fonts vary as much as there price.

As a result, some fonts will look great and engrave perfectly, some fonts will look terrible but engrave quite nicely, some will neither look good nor engrave properly. We have found fonts so bad that just viewing them (They can be viewed in the Windows "Control Panel" under "Fonts") can cause WINDOWS NT/XP to crash !!

On the technical side, True-Type fonts are composed of a series of straight lines, and curved segments of the “bezier” curve type. Many of the “free” fonts were designed with badly laid out curve segments. These bad segments can cause unpredictable results, ranging from flat areas (where it should be round), to curves that are so “UN-smooth” that the Arc-Fitting engine cannot generate proper arcs to approximate the curve. WINGRAVER-PRO 2008 uses what is called a “Windows System Call” to have WINDOWS return to us the outline of the font. Bad fonts give us back Bad outlines !

When problems arise:

Try using a slightly different text height. On some fonts a change of as little as 0.001 can fix / create a problem.

Try using a different font. Many fonts with totally different names are very similar in appearance.

If possible, turn off the “Fit Tangent Arcs” option, As a rule no matter how bad the curves are, if WINGRAVER-PRO 2008 can use all linear moves it can usually generate something reasonable.


latest Additions

------ PLEASE READ -----

This list of Fixes and Additions to WINGRAVER-PRO 2008 is being provided as a convenience to our customers. It is confidential and considered to be trade secret. It is not to be reproduced or redistributed in any manner without the express written consent of Glass House Software, Ltd.

For customers who have loaded this file from an original or updated disk, this list expresses the current revision history of your software.

For customers who have downloaded this program from our web site WWW.MICROCIMM.COM, this latest update to your software is available for the cost of the media and shipping only. Please mail a check for $20 to Glass House Software, Ltd., PO BOX 5663, Hauppauge, NY 11788. Please include your original product serial number, and any other available proof of ownership. Also include a phone/fax number and/or Email address so that we can reach you in case of questions with your order. See the web site for an official replacement disk order form.

Note: The latest version of this (and many other help files) is always available for download at our web site WWW.MICROCIMM.COM

------------------------ Revision History -----------------------------

-- 03/05/04 --

Version 5.0

First release version

-


Previous Versions

------------------------ Wingraver - Pro 2008 Revision History -----------------------------


MICROSOFT WINHELP patch

When using the Filters & Effects utility, under WINDOWS Vista, you MUST have the MICROSOFT WINHELP patch for Vista.

It is available free of charge at:

Vista Winhelp Patch


Frequently Asked Questions

Frequently Asked Questions

How do I get a POST PROCESSOR for my machine ?

WINGRAVER-PRO 2008 does not use a full blown POST-PROCESSOR typically found in a full CAM system. WINGRAVER-PRO 2008 uses it's built in NC-Code Generator. Basically you set up this code generator (one time) using the Setup NC-Code Setup menu, then use the " Tool Path ", then " Generate NC-Code " menu selections to generate the code to run your machine. This code can have final editing and finishing using the built in NC-Editor .

My machine's memory is limited, how can I reduce the size of the NC-Code File ?

The font. In Wingraver, select "Ingraver", " Settings ", then click on the font page. Select the "Wingraver" type font, press the "Select Wingraver Font" button and select the file named "litt.ghf". This font uses the fewest possible strokes to make each letter. It may not be good looking if your letters are tall, but it should help.

How do I move Text/Artwork from Wingraver to POWERSTATION ?

1) In WINGRAVER-PRO 2008 Generate your text, checking the "Convert text to artwork" option in the Generate Text Path dialog. Optionally you may want to import artwork using the " Artwork-Import Artwork " command, and possibly clean up the artwork using the Artworkshop .

2) Next Select "Artwork- Artworkshop , then select the "File-DXF Export" command, making note of what you name the file and which folder it is located in.

3) In POWERSTATION, select the "File-Import-Import-DXF" command and load the file generated in step #2.

4) Machine the imported text/artwork just as you would any geometry created within POWERSTATION. Note: The most commonly used command for this purpose is the "Machining-Move/Cut-Cut-All" command.

See also WINGRAVER to POWERSTATION Tutorial

How do I move Text/Artwork from POWERSTATION to Wingraver ?

Although far less common then the other way around, simply reverse the above process.

1) In POWERSTATION select "File-Export-Export DXF File"

2) In WINGRAVER-PRO 2008 select "Artwork", "Import Artwork"

How do I output a DXF file ?

1) Generate the text path, and the tool path as explained in the tutorial .

2) Select " Tool Path ", then " Generate NC-Code ".

3) When asked for the "File name for NC-Code output", enter in the file name with a DXF extension. Example : TEST1.DXF

4) Under the "Machine Name" box, select the machine called "DXF" or "DXF File" (If you do not see one by this name, it can easily be created by selecting " Setup ", " Setup NC-Code ", enter "DXF" as a machine name, select "DXF File" from the "Machine Type" Box, then press [OK])

5) Press [OK] and the DXF file will be generated.

When Engraving, the tool goes Up/Down in -Z- unnecessarily ?

Naturally, when the tool reaches the end of a line or arc, and there is no other line/arc that meets at this end point, the tool must raise up in order to produce the desired pattern. Since it is desirable to have the tool engaged in cutting as much as possible, WINGRAVER-PRO 2008 contains an "Optimization" command to order the entities in a way that minimizes the number of times that the tool must retract.

1) If you are working with text, be sure that the text has been converted to artwork .

2) Select " Artwork ", " Art Workshop "

3) Select the "Edit", "Select All" command

4) Select the "Tools", " Optimize Tool Path " command.

5) Exit the Art Workshop, and save the changes.

6) Now generate the Tool Path / NC-Code

Note: If you are using standard wingraver (Not the PRO version), substitute steps 2-5 with the "Artwork - Modify Artwork " command (Checking off the optimize option).

The NC-Code has been generated, how can send the program into my machine tool (CNC) ?

The files generated by WINGRAVER are standard ASCII text files, and can be edited / DNC'd using any standard editing/communications software. Need DNC software ? Our powerful QUICK-LINK program is available for WINGRAVER users at over 50% off, contact your dealer for more information or visit us a WWW.MICROCIMM.COM. Note: Wingraver PRO 2008 Includes the POWERSTATION WINDOWS DESKTOP which has built in Editing and DNC communications.

How can I Mix Several Font Sizes/Fonts/Locations ?

After select the Generate Text command, you will be asked if you want to convert the text to artwork. Once converted to artwork, additional text can be generated at a new location using a new font/text style. If you opted not to convert the text to artwork, it can always be done later using the " Convert Text to Artwork " command.

The fonts are an outline of the letters, how can I get single stroke "Stick" figures ?

1) All True type fonts are indeed outlines. What you need to use are the "Wingraver" fonts.

2) Select "Ingraver" - ' Settings ", then the "Fonts" page. From the "Font type" area, select "WINGRAVER".

3) Press [Select Font], and select a font from the list ("SIMPLEX.GHF" is the simplest). WINGRAVER-PRO 2008-PRO comes with 11 stick fonts, and the compiler to generate your own fonts .

How do I move artwork drawn in POWER-CAD, into Wingraver Artwork ?

1) In POWER-CAD, use the "File-Export-Export DXF" command to generate a DXF file.

2) In WINGRAVER-PRO 2008 use the " Artwork-Import Artwork " command to load the file in as artwork.

I want to scan drawings, how do I get them into WINGRAVER-PRO 2008

See the Scan/Trace/Convert command. See also Raster to Vector

How do I setup for METRIC mode

WINGRAVER-PRO 2008 works in "units" it does not particularly care if they are English or metric units. To work with metric sizes, just enter them in the same way as English units. Two notes: If you want English results, but want to enter the text/spacing sizes as metric, just precede the number with a "%" sign (See On-Line Calculator ), Also to change the default settings for text/machining, see the Default Settings file.

I Import a DXF file and the text is not exactly as expected

WINGRAVER-PRO 2008 - Does import text from DXF files, but does not always recognize and use the font name contained in the DXF file. The DXF file contains just the basic information on the text (how high, the font name, etc..). The odds of faithfully reproducing the exact text from this simple description are very low (Anyone who has ever transferred a drawing from one CAD system to another know's how bad text transfers). Recreating the text, using WINGRAVERS built in Ingraver menu , for precise size, shape and placement.

Engraving Related web sites:

These are web sites that we have found over the years that contain information on engraving cutters and processes. Note: These are not an endorsement, simply a reference.

www.antaresinc.net

WWW.L2INC.COM -- Spring loaded engraving tools

How do I transfer a program to my Prototrak:

See: Prototrak Notes


Technical Support
         Previous Topic

Using the MICROCIMM SOFTWARE "Service Line"

The MICROCIMM SOFTWARE, "Service Line" was developed to allow users of our programs to share information with other users, and the software engineers.

The system is divided into three main areas:

Voice Mail -- Used primarily for listening to information and instructions on using the system, and other general information.

Fax Mail -- The service line can send and receive fax's containing general information, and answers to specific questions.

Email -- Email us at SUPPORT@MICROCIMM.COM Also please visit us at WWW.MICROCIMM.COM

Usage

The service line is there 24 hours a day for use by any registered user of MICROCIMM SOFTWARE. For the first 60 days after purchase any questions posted on the system will be answered on a priority basis (approximately 24 hours). After that period, questions will be answered on a non-priority basis. In the near future we hope to offer annual contracts to extend the priority service.

Getting on the System

The system is accessed by dialing the main Glass House Software number (631) 361-4610. During the greeting you will be given a list of available mailboxes. Select mailbox #2 for all software related questions.

Using the Voice Mail

The voice mail is setup to take messages and receive fax’s. Please leave a detailed description of your question with your voice AND FAX numbers, as the response will be made by fax, not voice. NOTE: PLEASE DO NOT SIMPLY LEAVE A MESSAGE SAYING "I AM HAVING PROBLEMS, CALL ME BACK", the service line is a "Call-IN / Email or FAX-BACK" service only.

If you would like one on one telephone support please contact your MICROCIMM dealer for a price quote on an annual service contract.

Using the FAX Mail

Please send fax’s to (631) 361-4610. Be sure that all Fax's sent include:

Company name

Your name

Voice / fax numbers

Software product name & version number

Complete detailed description of the problem

For additional information on support services, please see the brochure that came in your software envelope.


-Z- Depth Calculator

The -Z- Depth calculator is a simple aide to assist in calculating the required -Z- depth to generate a path of a given width using a tool of a given included angle. Enter the desired tool path width, finally press the “Calculate” button. At this point pressing “OK” will transfer the calculated -Z- depth to the “-Z- Cutting Depth” field. This command works for both Ball End Mills and Cone shaped tools.


Adjusting The Text Width Factor

While the text height is spcified directly on the Ingraver-Settings page, there is really no direct way of specifying the precise width of the letters, however it should be easy to determine the proper "Text Width Factor" to generate the desired width.

1) Enter in the other, normal, known settings (text height, font, etc..) Set the "Text Width Factor" to 100.0.

2) Enter in your desired text, but make the first letter a capital "H" (Ex:H12345678)

3) Generate the text. (" Ingraver-Generate ")

4) Generate the NC-Code ("Tool Path- Create Tool Path ", " Generate NC-Code ")

5) The -X- value (in the NC-Code) on the right side of the letter "H" is the "default width" of the character (Ex: G01 X.2).

6) Divide the desired width (Ex: .312) by the actual width (0.2) and multiply by 100. (ex: (0.312/0.2)*100.0=156).

7) Enter in the above result (156) as the "Text width factor", remove the "H" from the text to engrave.

8) Generate the text again. (" Ingraver-Generate ")

9) Generate the NC-Code again ("Tool Path- Create Tool Path ", " Generate NC-Code ")


Apply

Press Apply button to store the effect to the master image.

After you have applied the image, you will no longer be able to load the original image.


Auto Contrast

To create Auto Contrast effect click Correction | AutoContrast or select AutoContrast folder.

Follow direction on the folder.

Tip

The Auto Contrast effect will give you better contrast by making

the darks darker and the lights lighter. In general, the Auto

Contrast gives a good result when a simple contrast adjustment

is needed to improve an image's contrast.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Basics

WINGRAVER-PRO 2008 Basics

WINGRAVER-PRO 2008 has been designed to fully exploit the features of the WINDOWS environment. All commands are access using standard WINDOWS menu / dialog box conventions. If you are not familiar with the basic operation of WINDOWS accessories such as NOTEPAD, WORDPAD or PAINT, please consult you original WINDOWS manuals for information on basic operations.

Starting WINGRAVER-PRO 2008:

THE MAIN WINDOW

Tool Bar

CALCULATED FIELDS

ON LINE CALCULATOR

Printing

Technical Information


Bleed

To create Bleed effect click Deformation | Bleed or select Bleed folder.

The easy way to Bleed the Image is to use the slider

control to adjust the RGB Value between -255 to 255.

Tip

Bleed causes the image's color palette to expand

depending on the value that you select. The Bleed is applied

inside the image instead of outside the image. Use this when you want

to intensify the colors of an image.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Blur

To create blur effect click Deformation | Blur or select Blur folder.

Select the value of blur filter by scrolling the Value scroll bar.

Tip

The Blur filter softens any hard contrast in the parts

of the image where significant color transitions occur.

The Blur filter smoothes transitions by averaging the

pixels next to the hard edges of the defined lines and

shaded areas. Begin by Blurring by small degrees at first, starting

at value 10 to check for quality or desired effect.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Border Fade

To create fade effect click Image | Border Fade or select Border Fade folder.

Choose the size of the faded border you desire from Edge scroll bar ;

press the Use Custom Color button and choose the color you desire or use the color of this window.

Tip

You can fade the Image from the

Border towards the center of the Image depending

on the value selected from 1 to 300 .

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Borders

To create Borders effect click Image | Borders or select Borders folder.

Choose border shape from Shape list;

choose the thickness of the border by scrolling the Effects Manager bar ;

press the Use Mask Color button and choose border color.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Bright

To create bright effect click Correction | Bright or select Bright folder.

Select the value of bright filter by scrolling the Value scroll bar.

Tip

Using the Bright effect is the easiest way to make

generalized adjustments to the tonal range of the image.

Sliding towards the positive values adds light to the image.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Calculated Fields

To simplify the entry of numbers, the standard Windows control “Text Box” has been extended to allow the entry of numbers as calculated expression. The format of the expression is that of the On Line Calculator .

Example:

Entering an Expression

Expression Replaced with Results

Notice that the "Desired Cut Width" has been entered as “23/64-.0025”. Perhaps describing a tool that was basically 23/64 in diameter, but was found to be .0025 undersize. When the input is moved to the next “text box” by pressing the <Tab> key or selecting a new box with the mouse, the “Desired Cut Width” box will automatically be changed to read “0.35688”.


Circular Engraving Example

The following was a simple but interesting job submitted to us by a customer. Carefully study the settings and pay note to the following:

1) The Arc radius was adjusted to place the letters on the inside of the specified circle (3.625/2)-.187

2) "Full Justification" was chosen.

3) The text width factor had to be significantly reduced to produce proper looking letters

Job to be Engraved

Text path settings, note Start/End angles

The Wingraver font "Simplex" was chosen.

Note: The "Curves", and "Spacing" pages were left with just the default settings

The text to engrave

The results


Close and do not Save

Press Close and do not Save to close Filters and Effects window.

You can see that the effect has not been saved in the memory.


Close and Save

Press Close and Save button to close Filters and Effects window.

Now you can see the effect which has been applied to the image and saved to

memory. The Thumbnails will be marked as "changed".


Color

To settle the color effect click Correction | Color or select Color folder.

Choose Color dithering method ;

choose Number of colors by sliding bar to value desired.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Color Palette

To select the color palettePalettes effect, click Correction | Color Palette or select Color Palette folder.

Increase the color palette if it is suggested by the application.

Choose the color from Color Palette box or directly from the page(click on it).

Change the color by dragging R,G,B scroll boxes.

You can first Save Palette to File and then use this palette to apply to another images.

From drop-down list choose the method to change images and click Apply button.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Common Tool Shapes

Flat

Ball End

Cone Shaped


Cone Projection Example

This example shows the projecting of text/artwork on to the bottom of a cone.

The cone is defined by two points, with a different raduis at each of the points.

P1 = X0, Y0, Z0, R2.0

P2 = X6.0, Y0, Z0, R1.0

First the text/artwork would be generated using the normal procedure (See the Tutorial )

Next in the "Generate Tool Path" dialog, the "-Z- axis position" would be selected as "Project on Surface".

Next, press the [3D Projections] button, and fill in the dialog as follows:

Note that the "Place tool on surface" option is set to "Bottom" for the inside of the cone.


Contents

WINGRAVER-PRO -- 2006 Help Contents
(11/08/2006)

WINGRAVER-PRO 2006 Basics
WINGRAVER Tutorials
File / Edit Menu
Ingraver Menu
Artwork Menu
Tool Path Menu
View Menu
Setup Menu
About Fonts
Errors
Frequently Asked Questions
latest Additions , Fixes, and Changes
Previous Versions
Technical Support

Copyright © 1996-2007, Glass House Software, Ltd.
All Rights Reserved


Dark

To create dark effect, click Correction | Dark or select Dark folder.

Select the value of dark filter by scrolling the Value scroll bar.

Tip

Using the Dark effect is the way to make

generalized adjustments to the tonal range of the image.

For example sliding towards the positive values adds blackness.

The color is reduced as darkness added.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Default Setting File

The default setting's file is a simple way of setting up a set of defaults to be automatically loaded for future engraving jobs.

To create / use a default file.

1) In WINGRAVER-PRO 2008, change the Ingraver-Settings , Text , and Generate Tool Path commands to reflect the desired defaults. If desired, any imported artwork will also become part of the default drawing.

2) Use the File-Save Project As command, and save the file in the main WINGRAVER directory (The default is C:\MCIMM), and name the file "DEFAULT.ING" (No other name can be substituted).

Once this file exists, starting WINGRAVER-PRO 2008, and / or selecting "File-New" will automatically load these defaults.

Note: This default file is an ideal way of setting up a set of proper defaults for working with metric units.


Deskew & Scale

This command was designed to correct two common problem with scanned artwork.

Deskew -- Often it is difficult to get a sketch straight when it is placed in a scanner, and many times the actual sketch is not drawn parallel to the sides of the paper. This feature allows you to properly orient the geometry to correct this.

Scale -- When scanned images are converted to vector lines, these lines are often defined at a arbitrary scale, not in real inch/metric units. This command allows you to precisely scale the lines.

Deskew & Scale Dialog

Sample Scanned and Converted geometry

The above example demonstrates the need for both features. As you can see the line along the bottom of the part is tilted (Skewed) at an angle. The part is currently about 1400 inches wide, and 800 high.

To fix this image:

1) Select "Edit-Select - All" (Note: Forget this step and the command will not work !!)

2) Select "Modify-Deskew & Scale"

3) For the "Scaling Option", select "Coordinates of a known point". The point that we know (Shown in the above example) is known to have the coordinates of X6 and Y1 (Note: These numbers can be actual known dimensions measured from a physical model, or even approximated for low accuracy work). Enter these values for the known point. Note: The system will use the entered values and the actual values to compute new scales for the X & Y direction. These two scales will then be averaged together and applied to all selected entities.

4) For the Deskew (-X- Axis) Option, select "Select -X- Axis Two Points"

5) Press [OK]

6) At this time you will first be asked to indicate the origin, place the cursor on the lower left corner of the shape and press the left mouse button.

7) Next you will be asked to enter the first point on the -X- axis, as a rule you can enter the same point as the origin.

8) Next you will be asked for the second point on the -X- axis.

9) Finally you will be asked to indicate the "Known" point.

At this point, the drawing will correctly scaled and oriented. In most cases this will mean that the part is much smaller on the screen. Select "View-Extents" to center and magnify the part.

Same Part After Deskew and Scale

Part is now about 7.5" wide and 4" High


Despeckle

To create despeckle effect, click Correction | Despeckle or select Despeckle folder.

Change the value in the Value scroll box.

Tip

This option allows the filling in of missing pixels on the color page. If the image has missing pixels on it,

you can visually determine what value to choose, how many pixels around the missing one

should be seen by application to achieve the correct color.

Bit resolution, or pixel fix, is a measurement of the number of bits

of stored information per pixel. Bit resolution determines how much

color information is available for each pixel in the file. Greater pixel

fix means more available colors and more accurate color

representation in the image.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Edge Detection

To determine intensity of Edge Detection click Image | Edge Detection or select Edge Detection folder.

Choose a Value between 1 to 100 using the scroll box.

Tip

Use the Edge Detection effect to intensify outlines

of high contrast while darkening areas of low contrast.

You can set sensitivity of edge detection by value.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Engrave

To make an Engraved image, click Deformation | Engraved or select Engraved folder.

Choose a Value on the slider control between 1 to 10.

Tip

The value from 1 and up to value 10 deletes the color

and generalizes areas into high and low tones, the more

the value, the thicker the Engraved line.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Enhance

To set Enhance filter, click Correction | Enhance or choose Enhance folder.

Tip

Use the Enhance filter to increase or decrease

RGB values among areas of different colors and shades.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Extrude

To create extrude effect, click Deformation | Extrude or select Extrude folder.

Select the value of extrude effect by scrolling the Value scroll bar.

Tip

Extrude - creates a waffle iron effect on the image.

Extrude value allows you to monitor size of pyramid.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


File Menu

New Project -- Closes the current engraving project (prompting you to save if any changes have been made), and clears out the current settings / paths. If a Default Setting File is found in the main WINGRAVER directory, it will be automatically loaded.

Open Project -- Displays a “File open” dialog (prompting you to save if any changes that have been made), from which you can select a previously stored project file.

Save Project -- Saves the current information into the currently selected file name. If no file name has been previously specified, you will be asked to enter the name (see “Save Project As”)

Save Project As -- Displays a standard WINDOWS “Save As” dialog box, where you may select the drive, directory, and file name to save the file under. If the file specified already exists, you will be warned.


Font Carving

Font Carving Sample

Font Carving is the application of old style pantograph tracing techniques to a modern day CNC machine. Font carving uses all three axes (X/Y/Z) to continually move a tapered tool up and down, while moving around the contour of the text. The tool will move down in -Z- when a wide cutting with is required, the tool will move up in -Z- for narrow areas or even sharp corners.

Note: As should be obvious from the preceding paragraph, a 3 axis (simultaneous) milling machine is required for Font carving. Machines with manual depth settings (2-1/2 axis) will not work.

See the Font Carving Tutorial

Notes on Font Carving:

  • Before any carving can be performed, the "Font Curve Output" option on the Curves Page of the Ingraver Settings dialog must be set to "All Linear Output". If any arcs are found in the text outline, an error will be displayed:

  • Font Carving can be applied to Text only, Artwork, even Text that has been converted to Artwork cannot be carved !!
  • Font Carving requires the use of a tapered (Cone shaped) tool. This tool should be of sufficient diameter to machine the widest part of the text. The taper angle of the tool must be greater than zero and less than 180 degrees. Typical tools will have a taper angle of 60 degrees (Like Center drill), or perhaps 90 degrees.
  • If the tool diameter used is smaller then the widest area in the text and Warning will be displayed: Note: The machined results may still be fine for your needs, this is just a warning.

Font carving takes time !! When selected and the tool path generation is started, a progress dialog will be displayed over the tool path dialog. It will show the total progress and the progress of the current character being worked on. It also has a [Cancel] button if you become impatient.

The -Z- Depth setting has no affect. The -Z- depth is determined by the tool diameter/ angle and how wide the tool needs to cut to fill a particular area. If the tool is going too deep for your purposes, then simply reduce the specified tool diameter (Not the actual tool's diameter), this will have the effect of limiting the maximum -Z- depth.

  • Font Carving works with outline True-Type fonts only, Wingraver Fonts or True Type fonts that will not display (Such as our Wingraver-Stick True type font) cannot be carved.
  • Font Carving requires a good clean font to work with. While testing this feature we found several defects in common fonts. For example on one computer we found that the common font "Arial Black" worked perfectly, except for the close parenthesis ")". It was designed in the reverse direction. Bad fonts will show them selves quickly with sharp, long moves added to the tool path. See Also About Fonts .
  • The Tool path's generated to do font carving will look very different then the normal "follow the outline" tool path. At first glimpse they will look random and incorrect. Only careful block by block viewing and / or solid modeling (Available if used in conjunction with POWERSTATION PRO/PRO+) will show how the tool path will indeed generate the desired effect. See Below.
  • If Carving is desired on Mixed text (different fonts/locations) then each piece of text must be generated individually and the "Keep Existing Text": option of the Generate Text dialog must be selected. You may NOT use the "Convert to Artwork" option for mixed text as described in other areas of this documentation.
  • Mirrored and Non-Mirrored text cannot be done at the same time. One must be generated, turned to NC-Code and saved, before the other. Once they are both saved there NC-Code would have to be merged together using the WINDOWS Desktop.

Samples of Font Carving Tool Paths:

Basic 2D Display. Note: unusual curves at the tops and bottoms

Simulation Mode Showing the tool going Up/Down to accomplish the carved effect

Notice the multiple up/down moves used to generate the sharp corners


Gamma

To make Gamma correction, click Correction | Gamma or select Gamma folder.

Select the value of gamma effect by scrolling the Value scroll bar.

Tip

In Gamma correction you can make gradual adjustments

to the brightness or contrast of an image. Adjusting the gamma

lets you change the brightness values of the middle

range of gray tones without dramatically altering the shadows

and highlights.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Gray Area

To apply gray area effect, click Image | Gray Area or select Gray Area folder.

Make selection and follow direction on the screen.

Tip

Gray effect can be applied to whole image,

It mixes the black and white to gray tone.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Half Tone

To create half tone, effect click Correction | Half Tone or select Half Tone folder.

Tip

Half tone, the reproduction of a continuous - tone image on a

device which does not directly support continuous output.

This is done by displaying or printing a pattern of small dots

which, from a distance, can meld optically to simulate the de-

sired output color or intensity.

It is possible to change Pixel Angle and Cell size.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Hide Selection

The Hide Selection makes the selected area invisible.

If you wish not to see the selected area, the RubberbandSelected_area_the_Rubberband , press the button Hide Selection.


Hue and Saturation

To create Hue and Saturation effect click Correction | Hue and Saturation or select Hue and Saturation folder.

Choose the color and change Hue, Saturation, and Bright value.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Ingraver Menu

The Ingraver menu is where the text to engrave, text path settings, and generation of the text path is done. It also includes utilities for working with fonts, and generating sequential serial numbers.

Ingraver Settings

Text to Engrave

Generate

Delete Current Text -- Allows you to delete the currently displayed text.

Convert to Artwork

Compile / De-Compile Font

Serial Numbers


Invert

To create Invert effect, click Image | Invert or select Invert folder.

Tip

The Invert effect reverses the positive and negative areas

of an image. You can use this effect to turn a positive into

a negative or to create a positive image from a scanned

negative.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Jiggle

To create Jiggle effect click Deformation | Jiggle or select Jiggle folder.

Choose the Shape of deformation and the value of Period or Amplitude.

Tip

The Period controls the squiggle and the Amplitude controls

the stretch or pull effect sometimes doubling or tripling the image.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Linearize Arcs

Breaks up all selected arcs, into a series of short line segments. The number of lines generated is determines by the setting for the "Tolerance to Convert Arcs to Lines".


Main Window

THE MAIN WINDOW

The WINGRAVER-PRO 2008 main window contains the main menu, along with a “Tool Bar” filled with speed buttons, or “Short Cut’s”.


Mirror

To create Mirror effect click Image | Mirror or select Mirror folder.

Choose the Vertical or Horizontal position of the image.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Mosaic

To create Mosaic effect click Deformation | Mosaic or select Mosaic folder.

Choose two of four different mosaic types, adjust the Size, Space, Light, Height appearance

and Random position of mosaic cells.

Tip

The Mosaic effect groups pixels into different blocks.

The cell size is the width of a cell in pixels. The pixels

in a given block are the same color, and the colors

of the blocks represent the colors in the selection.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Most Recently Used List

The section just under the “Print Sample Fonts” menu contains the names of the 4 most recently used files. To load one of these file, simply select it from the menu.


Motion Blur

To create Motion Blur effect, click Deformation | Motion Blur or select Motion Blur folder.

Choose one of three Motion Groups: Motion Zoom, Motion Rotate, and Motion Line.

Tip

The Motion Blur effect blurs the image to reproduce a simulation

of movement. The effect of this filter is analogous to taking

a picture of a moving object with a fixed exposure time.

* Motion Zoom- blurs the edges of the border towards the center.

* Motion Rotate-blurs from the edge to center in a rotating fashion.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


NC-Code Macro

NC-Code Macro -- This command provides you with an environment where you can manage and use standard “chunks” of NC-codes. The purpose of this feature is to allow you to take sections of NC-codes that you need / use repetitively in your work and store and retrieve them in an organized manner.

Defined Macros -- Displays a list of all of the currently defined macros for the currently selected machine name.

Contents -- Shows the contents of the currently selected macro (Selected from the “Defined Macros” list). If you wish to permanently change the contents of this macro, make any editing changes in the contents window, then press the “Save” button. Also see “Sample Macro contents” below.

ADD -- Add a new macro to the current machine. You will be asked for the name of the new macro. Next fill in the macro contents in the “Contents” window, then press the “Save” button

Delete -- After prompting you to confirm the deletion, deletes the currently selected macro.

Save -- Saves the current “contents” under the currently selected “Macro Name”.

Edit Name -- Allows you to change the name of a currently defined macro. Does not change the contents.

OK -- Inserts the current contents into the current editing window at the current cursor location. Prompting you for any “variable information” defined in the macro (See the “Sample Macro Contents” below).

Cancel -- Exits the “NC-Code Macro” window, taking no further action.

Sample Macro Contents

The true purpose of the NC-Code macros is to reduce the amount of typing and potential format errors while preparing your NC-Code. A perfect application for a macro would be the series of blocks required at the beginning of your program to startup the machine tool.

Example MACRO CONTENTS:

%

G00 G90 G80 G40

T S M3

G00 X Y

G53 Z-.1 H

You will notice in the above example, that the registers -T-, -S-, and others have no number attached to them (for example T1). They are placed in the macro as “place” holders to remind you of what information is required and where it should be located. Typically one would then edit the inserted lines to contain the exact information required for the specific job that they are working on.

Smarter Macros

The NC-Code macros can be made to ask you for the “variable information”. This makes the macro not only hold a place for the codes that change with each job, but forces you to set this information.

Example MACRO CONTENTS (Take #2):

%

G00 G90 G80 G40

T# S# M3

G00 X# Y#

G53 Z-.1 H#

Using this macro, when the “OK” button is pressed you will be asked to fill in any information where the “pound sign” (#) is located. Example:


Noise Effect

To create Noise effect, click Deformation | Noisify or select Noisify folder.

Choose the Red, Blue, and Green value to specify the appearance of random picked pixels on the image.

Choose the Gray value of Pixels to have only gray dots on the image.

Choose either Uniform or Gauss (more blur) method.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Oil Paint

To create Oil Paint effect, click Deformation | Oil Paint or select Oil Paint folder.

Choose Value on the slider control between 1 to 100.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Page Curl

To create Page Curl effect click Deformation | Page Curl or select Page Curl folder.

On the Shading panel you have the choice to use:

the Foreground or Background color;

the shade under the curl;

the value of shading transparency.

On the Background panel you can choose to use Foreground color or background color.

You can choose to Keep the image under the curl.

On the Orientation panel you can choose the Vertical or Horizontal alignment of the curl.

On the Location panel you can choose the corner on which the curl will appear.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Palettes

Only high cost video systems are able to simultaneously display every possible color at every location on the screen. Most video boards display a limited number of colors. About a megabyte of video memory is needed to support 256 colors. Because of the limited numbers of colors that can be shown at one time, video boards must keep track of which colors to use. The 256 colors that can be shown at one time are selected from a range of more then 16 million possibilities. That range of colors is determined by the video board's use of three bytes of information to specify the red, green, and blue elements of color. Limiting the choices to 256 colors in the palette at one time cuts the memory needed down to one megabyte. In addition the color of a pixel can be changed by just specifying one byte of information, the new palette entry number. This is fester then specifying three bytes for the RGB value of every pixel.

Each image you display has its own logical palette. The system palette determines which color actually appears on your screen. When the application wants to activate its own color, it must load its own logical palette into the system palette.

If the image stored in 24 bit , that means in 16.7 million color resolution and you display it on the system which supports just 16 bit or less the OS will confused what color to display. To adjust the page you convert the image to the system palette, to the colors which not exceed 256.


Paste Image

To create Paste Image effect, click Deformation | Paste Image or select Paste Image folder.

To paste the image from the file, select the location of the file and the image will automatically load

To paste the image from the clipboard, copy it to the clipboard and then press the button Paste Image From Clipboard.

To paste the image from the scanner, press the button Select Twain Source, then Aquire Image.

This executes the Twain Manager, provided by your twain device vendor, and acquires a single image.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Pinch Hole

To create Pinch Hole effect click, Deformation | Pinch Hole or select Pinch Hole folder.

To Pinch a Hole in the Image, use slider control .To adjust size of hole

choose a Value between -20 to 0.

Tip

The Pinch Hole rotates the center of image so that the center disappears.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Polar

To create Polar effect, click Deformation | Polar or select Polar folder.

By Choosing Inverse, you can flip the image referring to the vertical line of symmetry.

By Choosing Backwards, you can flip the image referring to the horizontal line of symmetry.

By Changing the Angle value you can turn the image on given angle.

By Sliding the Value scroll box you are squeezing the image from the corners toward the center.

Tip

This effect gives a view of the image as if you are standing on the on North Pole and looking down.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Preview

Press Preview button if you would like to see a preview of how the effect will look.

In this case the changed page will not be stored in the main memory.


Print Sample Fonts

Prints a sample of all installed fonts on the selected printer.

NOTE: This command prints ALL fonts (True type and Non True Type, but NOT the WINGRAVER type fonts). When selecting the font for engraving, only the “True-Type” fonts will be available.

Example:


Printing

PRINTING

All of the various printing commands in WINGRAVER-PRO 2008 will display the same standard windows printing dialog box:

To change the destination printer select the desired printer in the "Name" box. To adjust advanced features of your printer, select the [Properties] button.

Several aspects of the printing can be changed using the Setup Dialog and selecting the "Printer" page.


Project On Surface

Project On Surface – If this option is checked then the tool path -Z- positions will be calculated as a projection of the tool path in X & Y down on to the chosen type of surface (Plane, sphere, cylinder, cone). To use this option you should first fill in the field labeled “Tool Corner Radius” (The tool corner radius and tool path width /dia need to be accurate for surface projections), then press the button labeled “3D Projections” to bring up the projections dialog box.

Surface Type: Plane

Surface Type: Sphere

Surface Type: Cylinder

Surface Type: Cone

Special Settings for Sphere, Cylinder, and Cone

Two new sections appear that are not applicable to the “plane” surface:

Place tool On Surface – This option determines that when making the projection of the surface the tool will be placed on the top half or the bottom half of the selected surface. This setting has no effect on vertically oriented cones.

Project Tool Normal to – This selection basically determines how the tool positions will be calculated:

Normal XY-Plane : In the Normal to the XY-Plane mode, once a tool position is calculated, that position is dropped (projected) straight down on to the surface and the tool moves to this position. When viewed in this mode, the display tends to look very similar to the desired finished shape of the engraving, but as the tool size increases, this tool path tends to loose it’s accuracy.

Normal to Surface : In the Normal to the Surface mode, once a tool position is calculated, that position is dropped (projected) straight down on to the surface then the normal (perpendicular) to that surface (at the projection point) is calculated, then the projected point is cutter compensated in 3D using this normal vector, and finally the tool moves to this position. When viewed in this mode, the display tends to look very different than the desired finished shape of the engraving (not only -Z- is re-computed, X & Y also). This method becomes more important as the tool size increases and / or the curvature of the projection becomes smaller.

Projection Types

Notes on Surface Projections

Clearance Plane – When using surface projections, a clearance plane value should be selected so as to clear the highest point on the surface. The clearance plane number is an absolute number, and not a relative number to the height of the surface.

Falling off of the Surface – If while generating the engraving tool path, the tool moves (in X & Y) beyond the extents of the surface (Does not apply to planes), the tool will go no deeper then the specified -Z- center of the surface.


Project Properties

Displays information on the number of moves, entities and the extents of the text, artwork, and tool path.


Prototrak Notes

Prototrak Notes

File Extention.

The Prototrak controls require that NC -G- Code file end with an extention of ".CAM"

The principal is simple; first you must change the extension on the file name from ".TAP" to ".CAM", then copy the file to a floppy disk.

1) Generate the NC-Code, selecting the machine named "PT MX2" (2 axis control) or "PT MX3" (3 axis control).

2) Follow the steps below to change the files extension.

3) Follow the steps below to copy the file to a floppy disk.

Note: If your primary machine is the Prototrak, you can change the Wingraver defaults to automatically add the ".CAM" extension. Look under Setup Menu , "Setup Preferences"

Changing the file extension

In this example, we will change the file extension of an NC-Code file. Typically these files will have the default extension of ".TAP". In this example we will change the extension to ".CAM".

1) In order to change the file extension the file name needs to be displayed in a WINDOWS "explorer" window.

2) On your WINDOWS Desktop, double click on the "My Computer" icon.

3) If the file you want to change is on a floppy disk, then double click on the proper icon for that drive (typically "Drive-A".

4) For our hard drive example, we will assume that it is stored in the default folder of "C:\PS\TAPES" (Other MICROCIMM products may use "C:\MCIMM"). First Double click on the icon for "Drive-C", next click on the folder for "PS" (or "MCIMM"), next double click on the "TAPES" folder. Now scroll down through the list until the file name you want to change is displayed. Example:

5) Click twice (slowly) on the file name (In this example "Latch.TAP"), the name will not be surrounded by a small rectangle and you can now type in the new name. (In this example "LATCH.CAM"), pressing when done. Note: A message may be displayed warning you about changing the extension, typically you can ignore this error.

Copying the NC-Code File To a Diskette

NOTE: These represent one of several ways that file copying can be accomplished. Press [Start], "Help", and type in "copying files", and you will be presented with a long list of possible methods.

Once the file is displayed and selected in the previous step, click the file using the right mouse button, and select "Send To", then select your floppy drive's letter (Generally "A").

MX2 Control -- A sample 2 axis Prototrak NC-Code setup is included named "PT MX2", in automatically inserts "M00" for all -Z- axis moves. If this sample machine name has been lost or deleted, here are the settings:

****** Settings for Machine [PT MX2] *******

Machine Type : Mill

Coordinate Mode : Absolute

Number Format : Decimal

Digits Left of The Decimal : 3

Digits Right of The Decimal : 4

-G- Code For Rapid : G00

-G- Code For Linear : G01

-G- Code For Clockwise : G02

-G- Code For Counter Clockwise : G03

Arc Center Type : Distance From Tool to Arc Center

Output Redundant Positions : FALSE

Output Sequence Numbers : TRUE

Starting Sequence Number : 10

Feed Number Format : Decimal

Feed Digits Left of Decimal : 2

Feed Digits Right of Decimal : 2

Cutting Method : Normal X/Y

Machine Has Programable -Z- : No

Codes For Spindle -Up- : M00

Codes For Spindle -Down- : M00


Raster To Vector Demo

The Raster To Vector conversion is not available in the demo version.

Please see the Scan to Part Tutorial for a detailed example of the process.

More information can be found under the Scan/Trace/Convert topic.


Raster to Vector Settings

The Raster to Vector Settings dialog allows you to fine tune the conversion process. It is a good idea to experiment with a variety of setting in order to achieve the best possible results.

Raster to Vector Settings Dialog

Bezier Smoothing -- The output will consist of bezier-curves instead of straight lines.

Centerlines Only -- Determines if you want the center line of an object or the outline(s).

This Lines/Gaps -- Helps to improve conversion of images that contain gaps and / or thin lines.

Omit Brightest Color -- Converts all except the brightest color found (See also "Output Colors")

Output Colors -- Should generally be set to three, full color scans may require a higher setting.

Centerline Width -- The higher this number the more the lines will be centered as opposed to the outline.

Noise Reduction -- Normally set to zero, increase for dirty, spotted or jagged originals.


Re-Sequence

This command will add, remove or renumber the sequence numbers (“N”) in an NC-Code file.

Start Number – This is the value of the starting sequence number.

Number Increment – This the number to add to each sequence number.

Max number of Digits – This is the maximum number of digits allows in a sequence number, excluding the “N”. If while resequencing, the maximum number for the given maximum digits is reached (Example: Max digits = 4, current sequence number = N9999), the sequence numbers will start over again from the defined “start Number”.

Skip Lines Starting With – Any lines that start with any of the characters entered here will be skipped over during the resequencing.

Use leading zeros – If checked leading zeros will be added until the number reaches the max number of digits. Example: N0001 vs. N1

Resequence “O” blocks – Most newer controls use lines that start with the letter “O” as a program number, so you would not want to resequence it. However there are certain machines (Cincinnati mostly) that use “O” blocks as an alternate block number register (used mainly at tool changes). If checked, “O” blocks will be resequenced.

Remove Sequence numbers – If checked, then any existing sequence numbers are removed from the file. If Not checked then sequence numbers are added if they do not already exist, or updated if they do.


Reference-Frame

This dialog box describes the size and location of a reference frame. This frame is a simple rectangle drawn on the display screen to aide in visualizing the Text / Artwork’s size & location. Note: That this frame has absolutely no effect on where the Text, Artwork, or Tool Paths are drawn, and will have no effect on the generated NC-Code. For example if you wanted to see how your Tool path would look relative to a 5 X 5 inch square, with it’s lower left hand corner located at the origin :


Reload

Press Reload button to change the image after it had been previewed.

The previous image which was in memory will appear.


Reset Selection

Press Reset Selection button to choose another selected area.


Rotary Axis Support

Rotary Axis Support — Letters/Artwork can be machined using combined linear & rotary axis on mills and 3 axis lathes.

There are two main areas of concern, other than these rotary engraving in precisely the same as engraving on a flat surface.

Areas of concern:

1) The NC-Code generator needs to be properly setup, using the NC Code Setup command.

2) When using the "Tool Path", "Create Tool Path" command, the rotary cutting radius must be specified:

Rotary Cutting Radius – Used only if the NC-Code generator has been setup for generation or rotary codes instead of normal X/Y interpolation. This number represents the radius that is to be considered the be the depth “zero” location when rotary cutting.

Example:


Rotate

To create Rotate effect, click Image | Rotate or select Rotate folder.

Press the Background Color button and choose the color.

Slide Angle scroll box and find desired value of angle.

Tip

The Rotate effect rotates the image according to the horizontal

and vertical limits set in the Rotate dialog box. The rotation is

applied as if the image were three-dimensional.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Save Setting on Exit

Click File | Save Setting on Exit to keep the Filters and Effects window unchanged.

Next time you open the Filters and Effects window , the same folder will be opened,

with the same size of the selected area, and the same size of the window.


Selected area, the Rubberband
The selected area is the rectangle where the effect may be applied.


Setup 3D View

Setup 3D View – Allows you to interactively set the 3D viewing parameters.

X/Y/Z - Eye -- Indicate and allow you to enter in the coordinate position to look from (I.E. Your Eye position).

Rotation buttons -- These for directional buttons can be clicked with the mouse to rotate the view in all four directions.

Distance Display/Arrows -- Allows you to move your eye position closer or further from the part. Generally only needed for larger parts (Move the distance further away)

Standard Views -- This drop down list allows for quick setting of standard views: ISOMETRIC, RIGHT SIDE, LEFT SIDE, FRONT, BACK, or TOP.


Sharp

To create Sharp effect click Correction | Sharp or select Sharp folder.

Choose the value in the Value scroll box.

Tip

The Sharp effect provides more definition to blurry images

by applying sharpening only when an edge is found. The

Sharp effect preserves the overall smoothness of the

image and focuses on only the edges.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Simulate ToolPath

The Simulate Tool Path command allows you to step through the tool path in several ways, to allow careful visual verification.

Using the Simulate Tool Path Command:

  • Select the normal 2D or 3D display in the View Menu (In most cases the 3D view will be the more useful)
  • Select the "View Simulate" command
  • The Tool Path Simulation dialog will be displayed near the top right hand corner of your screen (Note: this window cannot be moved)
  • Press the [Rewind] Button
  • Press the [Single] Button to show the tool path block at a time. Note: You may also use the [Space Bar] instead of the [Single] Button (It's much easier to press and hold the space bar than to click over and over again on the button)
  • To Start over, press the [Play] button, then the [Rewind] button
  • To leave the simulation mode, press the [Exit] button.

The Tool Path Simulation dialog

Sample Simulation in Progress


Soft

To create Soft effect, click Correction | Soft or select Soft folder.

Choose the value in the Value scroll box.

Tip

The Soft effect provides the opposite of the Sharp effect.

It smoothes the edges between the colors.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Special Characters

Special Characters – There exists special characters that are not easily accessible on the keyboard. This command displays a dialog containing a grid showing all available characters,and a special drop down list with all "control" characters.

Clicking once on the desired character will display it in a magnified view, and pressing “OK” will insert it into the current text at the cursor position.


Spray

To create Spray effect, click Deformation | Spray or select Spray folder.

Choose the value in the Random and in the Value scroll boxes.

Tip

The Spray effect does not depend on the palette of the image.

It randomly chooses colors.

The Spray effect applies the palette as if from a spray can .

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Starting WINGRAVER

Starting WINGRAVER-PRO 2008

To start WINGRAVER-PRO 2008 press [Start], and select "Programs", "MICROCIMM", and finally "Wingraver-PRO - 2008"


Stop

While applying the effect you can press Stop button to stop process of image's transformation.

It will be the cause the program to recover the original image as quickly as possible.


Surface Type: Cone

If the Surface type list is changed to “Cone” the dialog box changes to the above. The cone itself is assumed to have it's axis lying in the X/Y plane, and is defined in a very straightforward manner. First one X, Y position and radius at one location on the Cones Axis is defined, then another. Lastly the -Z- location of the axis is defined.

Vertical Cone: Cones have one special case: If the X/Y centers are found to be the same, then WINGRAVER-PRO 2008-PRO assumes a vertically oriented (center line parallel to -Z-) cone, and changes the "-Z- Height" question to reflect the "-Z- at radius #1", and then adds a box for the "-Z- at radius #2". Note: When entering a vertical cone, the radius and lower -Z- value should be entered as #1, and the higher -Z- value #2.

Cone Calculator:

The cone calculator can be used to quickly find the "Radius #2", based on "Radius #1" the thickness (or length) of the cone, and the desired angle. Note: There must be a distance between the two center points, either an "XY" distance for normal cones, or a -Z- distance for vertical cones. See the following:

Example:

Assuming: the cone's center line along the -X- axis, and the front of the cone as X0, the "Angle" is 10 degrees, and the "Thick" is .75:

X1=0.0

Y1=0.0

R1=10.00

X2=.75

Y2=0.0

Enter an angle of 10, and press "[Calc Radius #2]"

At this point, "Radius #2" would be automatically filled in with "10.13024"


Surface Type: Cylinder

If the Surface type list is changed to “Cylinder” the dialog box changes to the above. The cylinder itself is assumed to have it's axis lying in the X/Y plane, and is defined in a very straightforward manner. First one X, Y position on the Cylinders Axis is defined, then another. Lastly the -Z- location on the axis, and then the radius of the cylinder is defined.


Surface Type: Plane

The initial dialog box comes up with a surface type of “plane” selected, and asks for three X,Y, & Z points. These points can be specified anywhere in three dimensional space (not even necessarily directly under the engraving), but they cannot lye in a straight line. In other words while points of 0.0,0.0,0.0 -- 0.5,0.5,0.4, and 1.0,1.0,1.0 are OK (although they define a plane that is almost vertical, and pretty much impossible to machine), the coordinates 0.0,0.0,0.0 -- 0.5,0.5,0.5, and 1.0,1.0,1.0 all lye on the same line (co-linear) and would not be an acceptable definition for a plane.

Example of a simple 10 degree incline:

Simple 10 Degree incline

In this example, the -Z- location for the third point could be calculated / entered as:

Sin(-10dr)*4.0

(or -0.69459)

So the actual points entered would be:

P1 = X0, Y0, Z0

P2 = X0, Y3, Z0

P3 = X4, Y0, Z-.69459


Surface Type: Sphere

If the Surface type list is changed to “sphere” the dialog box changes to the above. The sphere itself is defined in a very straightforward manner, first the center of the sphere is described as a 3D X,Y,Z location, and then the radius of the sphere is defined.


Text Effects

This dialog uses the Variable Spacing / Height feature to add special effects to your text.

Slope Effect:

This is used to generate text that starts small and gets large or starts large and ends small. After entering the settings and pressing the [OK] button, the "Text Height" on the Font Page to the value entered in the "Start Text height".

Peak / Valley:

This is used to generate text with a high or low point in the middle. After entering the settings and pressing the [OK] button, the "Text Height" on the Font Page to the value entered in the "Start/End Text height".

Drop Caps Effect:

Sometimes called "Small Caps", whereby all characters are capitals but the ones that start the sentence and possible each of the words are taller.

Sample: This is a Sample of Drop Caps

This command does not automatically change all of the text to capital letters, if you desired this, use the Text To Engrave editor, selecting the "Tools-Uppercase All" command.

Capital Letter Height -- Is the height of the tallest letters.

Text Height -- Is the height of the normal letters.

The [Calc] Button -- Automatically calculates a Text Height as being about 82% of the Capital Letter Height.

Drop-Cap First Word Only -- Will change the first letter of the first word of each line only.

Drop-Cap All Words -- Will change the first letter of every word in the text.

After entering the settings and pressing the [OK] button, the "Text Height" on the Font Page to the value entered in the "Capital Letter Height".


Threshold

To create Threshold effect, click Image | Threshold or select Threshold folder.

Choose the value in the Value scroll boxes.

Choose the Anti-Aliasing effect if you wish to smooth the edges.

Tip

By choosing the Value you determine the Threshold. If the value of one of the RGB parts of the color

is bigger than the value of the Threshold, then it transforms to a value of 255. If it less than the value

of the threshold, it transforms the value to 0.

That means that the hue ( red, green or blue) will transform into the pure color.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Tile Maker

To create Tile Maker effect, click Image | Tile Maker or select Tile Maker folder.

Tip

The Image is quartered and duplicates of each quarter are positioned

at each corner. By using this effect, you can create a complete image in each

corner of the image. The intersected areas may interfere with each other.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Tool Bar

Tool Bar Buttons

To identify which speed button corresponds with which command, simply move the cursor over the button and wait a second or two. A box will popup with a text description of the buttons function.


Tool Path Menu

The tool path menu is used for creation of the tool path, and finally the NC-Code.

Note: Prior to selecting any of the “Tool Path” commands, the text to engrave and or the artwork must have been generated / imported.

Generate Tool Path

3D Bitmap Scanning

Delete Tool Path -- Allows you to delete the current tool path.

NC-Code Generator

Edit NC-Code File


Transitions

To create Transitions effect, click Transition menu or select Transition folder.

Choose the value in the Delay and in the Thickness scroll boxes.

Choose the transition effect, select the radio buttons:

* None

* Horizontal- Image is loaded using Horizontal bands.

* Vertical - Image is loaded using Vertical bands.

* Diagonal - Image is loaded by using bands from opposite corners.

* Squares - Image is loaded to appear in a checkerboard pattern.

* Rectangle - Image is loaded from border to center in bands.

Tip

Delay determines the speed.

Thickness determines the shape of the effect.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Tutorials

Basic Wingraver Tutorial

Scan to Part Tutorial

Font Carving Tutorial

Wingraver to POWERSTATION Tutorial

Circular Engraving Example


Twain compatible scanner

Twain is the name for a universal standard for scanners, digital cameras, and other equipment. It to a great deal eliminates the need for different software "drivers" for every program that wants to use a specific scanner. Most all of these devices sold in the last five years or so come with a twain compatible software driver. If your device did not come with one, contact the manufacturer. Most companies have made Twain drivers for even there oldest models. Note: We do not have any of these drivers, nor can we make them, the manufacturer is the sole source.


Warp

To create Warp effect, click Deformation | Warp or select Warp folder.

Change the value of ScaleFac to smear pixels of the image.

Change the value of Displacement Scaling factor to enlarge the distance between the pixels.

Change the Vector Rotate value to select the direction of the rotating.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Wave

To create Wave effect, click Deformation | Wave or select Wave folder.

Change the value of Wave Length, Phase, and Amplitude by sliding the scroll box indicator.

Choose the Smear Waves to smooth the edges between colors.

Tip

Waves spread out from the center of the selected area to the periphery.

Setting Wave Length, Phase and Amplitude gives the length and phase and amplitude of the wave.

This effect recreates an image which looks as if a stone is thrown into a pond.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


WhirlPool

To create WhirlPool effect click Deformation | WhirlPool or select WhirlPool folder.

Choose the value in the Value scroll box.

Tip

WhirlPool effect rotates the pixels of the image around the center of a selected area.

{button Filters and Effects Manager, JumpId (`',`Filters_and_Effects_Manager')}


Windows Errors

In addition to the user/internal errors that can be displayed, WINDOWS itself may display error messages at times. These can range from obvious ones like the printer not being ready or running out of disk space on a given hard drive. There are however errors that require special attention. Errors such as "Access Violation" or "Windows API" error (Which will generally be displayed along with a series of numbers/letters) are an indication that something has gone wrong deep inside the Program or Windows or your computer or any combination of these. Please alert us immediately to any errors of this nature, along with a complete description of exactly what you were doing when the error appears, the produce version number, the version of WINDOWS being used, and the memory size, and if possible send all of the files involved to us attached to an email.

WARNING!!! Once one of these errors has been displayed, the contents of the current job you are working on is not guaranteed to be correct. You should first try to save the current job under a new name (File-Save As), NEVER under the original name as you will risk ruining the original file. After saving "as", immediately exit the program. At this point you should be able to restart the program, load the file and proceed as before.